// SPDX-License-Identifier: BSD-2-Clause AND BSD-3-Clause

package net.dongliu.apk.parser.utils;

import android.util.SparseArray;

import androidx.annotation.NonNull;

// Copyright 2015 Jared Rummler
//           2014 Liu Dong
public class ResourceLoader {
    @NonNull
    public static SparseArray<String> loadSystemAttrIds() {
        SparseArray<String> array = new SparseArray<>();
        array.put(16842858, "absListViewStyle");
        array.put(16843648, "accessibilityEventTypes");
        array.put(16843650, "accessibilityFeedbackType");
        array.put(16843652, "accessibilityFlags");
        array.put(16844160, "accessibilityHeading");
        array.put(16843758, "accessibilityLiveRegion");
        array.put(16844156, "accessibilityPaneTitle");
        array.put(16843986, "accessibilityTraversalAfter");
        array.put(16843985, "accessibilityTraversalBefore");
        array.put(16843423, "accountPreferences");
        array.put(16843407, "accountType");
        array.put(16842797, "action");
        array.put(16843675, "actionBarDivider");
        array.put(16843676, "actionBarItemBackground");
        array.put(16843917, "actionBarPopupTheme");
        array.put(16843499, "actionBarSize");
        array.put(16843656, "actionBarSplitStyle");
        array.put(16843470, "actionBarStyle");
        array.put(16843508, "actionBarTabBarStyle");
        array.put(16843507, "actionBarTabStyle");
        array.put(16843509, "actionBarTabTextStyle");
        array.put(16843825, "actionBarTheme");
        array.put(16843671, "actionBarWidgetTheme");
        array.put(16843480, "actionButtonStyle");
        array.put(16843479, "actionDropDownStyle");
        array.put(16843515, "actionLayout");
        array.put(16843616, "actionMenuTextAppearance");
        array.put(16843617, "actionMenuTextColor");
        array.put(16843483, "actionModeBackground");
        array.put(16843511, "actionModeCloseButtonStyle");
        array.put(16843484, "actionModeCloseDrawable");
        array.put(16843538, "actionModeCopyDrawable");
        array.put(16843537, "actionModeCutDrawable");
        array.put(16843898, "actionModeFindDrawable");
        array.put(16843539, "actionModePasteDrawable");
        array.put(16843646, "actionModeSelectAllDrawable");
        array.put(16843897, "actionModeShareDrawable");
        array.put(16843677, "actionModeSplitBackground");
        array.put(16843668, "actionModeStyle");
        array.put(16843899, "actionModeWebSearchDrawable");
        array.put(16843510, "actionOverflowButtonStyle");
        array.put(16843844, "actionOverflowMenuStyle");
        array.put(16843657, "actionProviderClass");
        array.put(16843516, "actionViewClass");
        array.put(16843517, "activatedBackgroundIndicator");
        array.put(16842938, "activityCloseEnterAnimation");
        array.put(16842939, "activityCloseExitAnimation");
        array.put(16842936, "activityOpenEnterAnimation");
        array.put(16842937, "activityOpenExitAnimation");
        array.put(16843750, "addPrintersActivity");
        array.put(16842992, "addStatesFromChildren");
        array.put(16843038, "adjustViewBounds");
        array.put(16843761, "advancedPrintOptionsActivity");
        array.put(16843605, "alertDialogIcon");
        array.put(16842845, "alertDialogStyle");
        array.put(16843529, "alertDialogTheme");
        array.put(16843642, "alignmentMode");
        array.put(16843468, "allContactsName");
        array.put(16844289, "allowAudioPlaybackCapture");
        array.put(16843392, "allowBackup");
        array.put(16842757, "allowClearUserData");
        array.put(16843765, "allowEmbedded");
        array.put(16843570, "allowParallelSyncs");
        array.put(16843353, "allowSingleTap");
        array.put(16843268, "allowTaskReparenting");
        array.put(16843999, "allowUndo");
        array.put(16843551, "alpha");
        array.put(16844110, "alphabeticModifiers");
        array.put(16843235, "alphabeticShortcut");
        array.put(16842991, "alwaysDrawnWithCache");
        array.put(16843267, "alwaysRetainTaskState");
        array.put(16843941, "amPmBackgroundColor");
        array.put(16843940, "amPmTextColor");
        array.put(16843966, "ambientShadowAlpha");
        array.put(16843168, "angle");
        array.put(16843477, "animateFirstView");
        array.put(16843506, "animateLayoutChanges");
        array.put(16843356, "animateOnClick");
        array.put(16843213, "animation");
        array.put(16842989, "animationCache");
        array.put(16843026, "animationDuration");
        array.put(16843214, "animationOrder");
        array.put(16843546, "animationResolution");
        array.put(16843034, "antialias");
        array.put(16843372, "anyDensity");
        array.put(16843757, "apduServiceBanner");
        array.put(16843281, "apiKey");
        array.put(16844101, "appCategory");
        array.put(16844154, "appComponentFactory");
        array.put(16843444, "author");
        array.put(16842776, "authorities");
        array.put(16843535, "autoAdvanceViewId");
        array.put(16842859, "autoCompleteTextViewStyle");
        array.put(16842928, "autoLink");
        array.put(16843754, "autoMirrored");
        array.put(16843847, "autoRemoveFromRecents");
        array.put(16844102, "autoSizeMaxTextSize");
        array.put(16844088, "autoSizeMinTextSize");
        array.put(16844087, "autoSizePresetSizes");
        array.put(16844086, "autoSizeStepGranularity");
        array.put(16844085, "autoSizeTextType");
        array.put(16843445, "autoStart");
        array.put(16843114, "autoText");
        array.put(16843404, "autoUrlDetect");
        array.put(16844014, "autoVerify");
        array.put(16844118, "autofillHints");
        array.put(16844136, "autofilledHighlight");
        array.put(16842964, "background");
        array.put(16842802, "backgroundDimAmount");
        array.put(16843295, "backgroundDimEnabled");
        array.put(16843659, "backgroundSplit");
        array.put(16843658, "backgroundStacked");
        array.put(16843883, "backgroundTint");
        array.put(16843884, "backgroundTintMode");
        array.put(16843391, "backupAgent");
        array.put(16844058, "backupInForeground");
        array.put(16843762, "banner");
        array.put(16843548, "baseline");
        array.put(16843042, "baselineAlignBottom");
        array.put(16843046, "baselineAligned");
        array.put(16843047, "baselineAlignedChildIndex");
        array.put(16844054, "bitmap");
        array.put(16843563, "borderlessButtonStyle");
        array.put(16843184, "bottom");
        array.put(16842957, "bottomBright");
        array.put(16842953, "bottomDark");
        array.put(16843179, "bottomLeftRadius");
        array.put(16842958, "bottomMedium");
        array.put(16843351, "bottomOffset");
        array.put(16843180, "bottomRightRadius");
        array.put(16843524, "breadCrumbShortTitle");
        array.put(16843523, "breadCrumbTitle");
        array.put(16843997, "breakStrategy");
        array.put(16843086, "bufferType");
        array.put(16843015, "button");
        array.put(16843567, "buttonBarButtonStyle");
        array.put(16843915, "buttonBarNegativeButtonStyle");
        array.put(16843914, "buttonBarNeutralButtonStyle");
        array.put(16843913, "buttonBarPositiveButtonStyle");
        array.put(16843566, "buttonBarStyle");
        array.put(16844149, "buttonCornerRadius");
        array.put(16844030, "buttonGravity");
        array.put(16842824, "buttonStyle");
        array.put(16842826, "buttonStyleInset");
        array.put(16842825, "buttonStyleSmall");
        array.put(16842827, "buttonStyleToggle");
        array.put(16843887, "buttonTint");
        array.put(16843888, "buttonTintMode");
        array.put(16843009, "cacheColorHint");
        array.put(16843931, "calendarTextColor");
        array.put(16843596, "calendarViewShown");
        array.put(16843613, "calendarViewStyle");
        array.put(16844039, "canControlMagnification");
        array.put(16844045, "canPerformGestures");
        array.put(16844060, "canRecord");
        array.put(16843736, "canRequestEnhancedWebAccessibility");
        array.put(16843737, "canRequestFilterKeyEvents");
        array.put(16844109, "canRequestFingerprintGestures");
        array.put(16843735, "canRequestTouchExplorationMode");
        array.put(16843653, "canRetrieveWindowContent");
        array.put(16843312, "candidatesTextStyleSpans");
        array.put(16844142, "cantSaveState");
        array.put(16843113, "capitalize");
        array.put(16843752, "category");
        array.put(16842956, "centerBright");
        array.put(16843275, "centerColor");
        array.put(16842952, "centerDark");
        array.put(16842959, "centerMedium");
        array.put(16843170, "centerX");
        array.put(16843171, "centerY");
        array.put(16844104, "certDigest");
        array.put(16842895, "checkBoxPreferenceStyle");
        array.put(16843016, "checkMark");
        array.put(16843943, "checkMarkTint");
        array.put(16843944, "checkMarkTintMode");
        array.put(16843237, "checkable");
        array.put(16843232, "checkableBehavior");
        array.put(16842860, "checkboxStyle");
        array.put(16843014, "checked");
        array.put(16843080, "checkedButton");
        array.put(16843720, "checkedTextViewStyle");
        array.put(16843025, "childDivider");
        array.put(16843020, "childIndicator");
        array.put(16843732, "childIndicatorEnd");
        array.put(16843023, "childIndicatorLeft");
        array.put(16843024, "childIndicatorRight");
        array.put(16843731, "childIndicatorStart");
        array.put(16843051, "choiceMode");
        array.put(16844139, "classLoader");
        array.put(16842773, "clearTaskOnLaunch");
        array.put(16842981, "clickable");
        array.put(16842986, "clipChildren");
        array.put(16843274, "clipOrientation");
        array.put(16842987, "clipToPadding");
        array.put(16843905, "closeIcon");
        array.put(16843330, "codes");
        array.put(16843083, "collapseColumns");
        array.put(16843984, "collapseContentDescription");
        array.put(16844031, "collapseIcon");
        array.put(16843173, "color");
        array.put(16843829, "colorAccent");
        array.put(16843664, "colorActivatedHighlight");
        array.put(16842801, "colorBackground");
        array.put(16843435, "colorBackgroundCacheHint");
        array.put(16844002, "colorBackgroundFloating");
        array.put(16843819, "colorButtonNormal");
        array.put(16843818, "colorControlActivated");
        array.put(16843820, "colorControlHighlight");
        array.put(16843817, "colorControlNormal");
        array.put(16843982, "colorEdgeEffect");
        array.put(16844099, "colorError");
        array.put(16843663, "colorFocusedHighlight");
        array.put(16842800, "colorForeground");
        array.put(16843270, "colorForegroundInverse");
        array.put(16843662, "colorLongPressedHighlight");
        array.put(16844106, "colorMode");
        array.put(16843665, "colorMultiSelectHighlight");
        array.put(16843661, "colorPressedHighlight");
        array.put(16843827, "colorPrimary");
        array.put(16843828, "colorPrimaryDark");
        array.put(16844080, "colorSecondary");
        array.put(16843639, "columnCount");
        array.put(16843215, "columnDelay");
        array.put(16843640, "columnOrderPreserved");
        array.put(16843031, "columnWidth");
        array.put(16843909, "commitIcon");
        array.put(16843621, "compatibleWidthLimitDp");
        array.put(16843122, "completionHint");
        array.put(16843123, "completionHintView");
        array.put(16843124, "completionThreshold");
        array.put(16842783, "configChanges");
        array.put(16843357, "configure");
        array.put(16843158, "constantSize");
        array.put(16843355, "content");
        array.put(16843961, "contentAgeHint");
        array.put(16843408, "contentAuthority");
        array.put(16843379, "contentDescription");
        array.put(16843860, "contentInsetEnd");
        array.put(16844067, "contentInsetEndWithActions");
        array.put(16843861, "contentInsetLeft");
        array.put(16843862, "contentInsetRight");
        array.put(16843859, "contentInsetStart");
        array.put(16844066, "contentInsetStartWithNavigation");
        array.put(16844007, "contextClickable");
        array.put(16844078, "contextDescription");
        array.put(16844033, "contextPopupMenuStyle");
        array.put(16844077, "contextUri");
        array.put(16843772, "controlX1");
        array.put(16843774, "controlX2");
        array.put(16843773, "controlY1");
        array.put(16843775, "controlY2");
        array.put(16844059, "countDown");
        array.put(16843962, "country");
        array.put(16843043, "cropToPadding");
        array.put(16843090, "cursorVisible");
        array.put(16843474, "customNavigationLayout");
        array.put(16843579, "customTokens");
        array.put(16843220, "cycles");
        array.put(16843175, "dashGap");
        array.put(16843174, "dashWidth");
        array.put(16842798, "data");
        array.put(16843948, "datePickerDialogTheme");
        array.put(16843955, "datePickerMode");
        array.put(16843612, "datePickerStyle");
        array.put(16843593, "dateTextAppearance");
        array.put(16843924, "dayOfWeekBackground");
        array.put(16843925, "dayOfWeekTextAppearance");
        array.put(16842767, "debuggable");
        array.put(16844130, "defaultFocusHighlightEnabled");
        array.put(16844021, "defaultHeight");
        array.put(16844036, "defaultToDeviceProtectedStorage");
        array.put(16843245, "defaultValue");
        array.put(16844020, "defaultWidth");
        array.put(16843212, "delay");
        array.put(16843244, "dependency");
        array.put(16842993, "descendantFocusability");
        array.put(16842784, "description");
        array.put(16843430, "detachWallpaper");
        array.put(16843427, "detailColumn");
        array.put(16843428, "detailSocialSummary");
        array.put(16843598, "detailsElementBackground");
        array.put(16843010, "dial");
        array.put(16844145, "dialogCornerRadius");
        array.put(16843252, "dialogIcon");
        array.put(16843255, "dialogLayout");
        array.put(16843251, "dialogMessage");
        array.put(16842897, "dialogPreferenceStyle");
        array.put(16843987, "dialogPreferredPadding");
        array.put(16843528, "dialogTheme");
        array.put(16843250, "dialogTitle");
        array.put(16843110, "digits");
        array.put(16844037, "directBootAware");
        array.put(16843217, "direction");
        array.put(16843681, "directionDescriptions");
        array.put(16843218, "directionPriority");
        array.put(16843249, "disableDependentsState");
        array.put(16842803, "disabledAlpha");
        array.put(16843472, "displayOptions");
        array.put(16843036, "dither");
        array.put(16843049, "divider");
        array.put(16843050, "dividerHeight");
        array.put(16843564, "dividerHorizontal");
        array.put(16843562, "dividerPadding");
        array.put(16843530, "dividerVertical");
        array.put(16843845, "documentLaunchMode");
        array.put(16843004, "drawSelectorOnTop");
        array.put(16843161, "drawable");
        array.put(16843118, "drawableBottom");
        array.put(16843667, "drawableEnd");
        array.put(16843119, "drawableLeft");
        array.put(16843121, "drawablePadding");
        array.put(16843120, "drawableRight");
        array.put(16843666, "drawableStart");
        array.put(16843990, "drawableTint");
        array.put(16843991, "drawableTintMode");
        array.put(16843117, "drawableTop");
        array.put(16842984, "drawingCacheQuality");
        array.put(16843363, "dropDownAnchor");
        array.put(16843395, "dropDownHeight");
        array.put(16842888, "dropDownHintAppearance");
        array.put(16843436, "dropDownHorizontalOffset");
        array.put(16842886, "dropDownItemStyle");
        array.put(16842861, "dropDownListViewStyle");
        array.put(16843125, "dropDownSelector");
        array.put(16843478, "dropDownSpinnerStyle");
        array.put(16843437, "dropDownVerticalOffset");
        array.put(16843362, "dropDownWidth");
        array.put(16842985, "duplicateParentState");
        array.put(16843160, "duration");
        array.put(16843602, "editTextBackground");
        array.put(16843601, "editTextColor");
        array.put(16842898, "editTextPreferenceStyle");
        array.put(16842862, "editTextStyle");
        array.put(16843115, "editable");
        array.put(16843300, "editorExtras");
        array.put(16843869, "elegantTextHeight");
        array.put(16843840, "elevation");
        array.put(16842923, "ellipsize");
        array.put(16843096, "ems");
        array.put(16844069, "enableVrMode");
        array.put(16842766, "enabled");
        array.put(16843996, "end");
        array.put(16843166, "endColor");
        array.put(16844050, "endX");
        array.put(16844051, "endY");
        array.put(16843133, "endYear");
        array.put(16844293, "enforceNavigationBarContrast");
        array.put(16844292, "enforceStatusBarContrast");
        array.put(16843532, "enterFadeDuration");
        array.put(16842930, "entries");
        array.put(16843256, "entryValues");
        array.put(16843389, "eventsInterceptionEnabled");
        array.put(16843842, "excludeClass");
        array.put(16842775, "excludeFromRecents");
        array.put(16843841, "excludeId");
        array.put(16843854, "excludeName");
        array.put(16843533, "exitFadeDuration");
        array.put(16842834, "expandableListPreferredChildIndicatorLeft");
        array.put(16842835, "expandableListPreferredChildIndicatorRight");
        array.put(16842831, "expandableListPreferredChildPaddingLeft");
        array.put(16842832, "expandableListPreferredItemIndicatorLeft");
        array.put(16842833, "expandableListPreferredItemIndicatorRight");
        array.put(16842830, "expandableListPreferredItemPaddingLeft");
        array.put(16842863, "expandableListViewStyle");
        array.put(16843446, "expandableListViewWhiteStyle");
        array.put(16842768, "exported");
        array.put(16844046, "externalService");
        array.put(16843371, "extraTension");
        array.put(16844010, "extractNativeLibs");
        array.put(16843219, "factor");
        array.put(16843384, "fadeDuration");
        array.put(16843390, "fadeEnabled");
        array.put(16843383, "fadeOffset");
        array.put(16843434, "fadeScrollbars");
        array.put(16842975, "fadingEdge");
        array.put(16842976, "fadingEdgeLength");
        array.put(16843745, "fadingMode");
        array.put(16844155, "fallbackLineSpacing");
        array.put(16843573, "fastScrollAlwaysVisible");
        array.put(16843302, "fastScrollEnabled");
        array.put(16843578, "fastScrollOverlayPosition");
        array.put(16843575, "fastScrollPreviewBackgroundLeft");
        array.put(16843576, "fastScrollPreviewBackgroundRight");
        array.put(16843767, "fastScrollStyle");
        array.put(16843609, "fastScrollTextColor");
        array.put(16843574, "fastScrollThumbDrawable");
        array.put(16843577, "fastScrollTrackDrawable");
        array.put(16843197, "fillAfter");
        array.put(16843980, "fillAlpha");
        array.put(16843196, "fillBefore");
        array.put(16843780, "fillColor");
        array.put(16843343, "fillEnabled");
        array.put(16844062, "fillType");
        array.put(16843130, "fillViewport");
        array.put(16843035, "filter");
        array.put(16843460, "filterTouchesWhenObscured");
        array.put(16844008, "fingerprintAuthDrawable");
        array.put(16843431, "finishOnCloseSystemDialogs");
        array.put(16842772, "finishOnTaskLaunch");
        array.put(16844157, "firstBaselineToTopHeight");
        array.put(16843581, "firstDayOfWeek");
        array.put(16842973, "fitsSystemWindows");
        array.put(16843129, "flipInterval");
        array.put(16842970, "focusable");
        array.put(16842971, "focusableInTouchMode");
        array.put(16844100, "focusedByDefault");
        array.put(16843587, "focusedMonthDateColor");
        array.put(16844082, "font");
        array.put(16843692, "fontFamily");
        array.put(16843959, "fontFeatureSettings");
        array.put(16844112, "fontProviderAuthority");
        array.put(16844125, "fontProviderCerts");
        array.put(16844119, "fontProviderPackage");
        array.put(16844113, "fontProviderQuery");
        array.put(16844095, "fontStyle");
        array.put(16844144, "fontVariationSettings");
        array.put(16844083, "fontWeight");
        array.put(16843311, "footerDividersEnabled");
        array.put(16844172, "forceDarkAllowed");
        array.put(16844065, "forceHasOverlappingRendering");
        array.put(16844191, "forceUriPermissions");
        array.put(16843017, "foreground");
        array.put(16843264, "foregroundGravity");
        array.put(16844185, "foregroundServiceType");
        array.put(16843885, "foregroundTint");
        array.put(16843886, "foregroundTintMode");
        array.put(16843013, "format");
        array.put(16843722, "format12Hour");
        array.put(16843723, "format24Hour");
        array.put(16843992, "fraction");
        array.put(16843491, "fragment");
        array.put(16843976, "fragmentAllowEnterTransitionOverlap");
        array.put(16843977, "fragmentAllowReturnTransitionOverlap");
        array.put(16843495, "fragmentCloseEnterAnimation");
        array.put(16843496, "fragmentCloseExitAnimation");
        array.put(16843971, "fragmentEnterTransition");
        array.put(16843970, "fragmentExitTransition");
        array.put(16843497, "fragmentFadeEnterAnimation");
        array.put(16843498, "fragmentFadeExitAnimation");
        array.put(16843493, "fragmentOpenEnterAnimation");
        array.put(16843494, "fragmentOpenExitAnimation");
        array.put(16843975, "fragmentReenterTransition");
        array.put(16843973, "fragmentReturnTransition");
        array.put(16843972, "fragmentSharedElementEnterTransition");
        array.put(16843974, "fragmentSharedElementReturnTransition");
        array.put(16843116, "freezesText");
        array.put(16843210, "fromAlpha");
        array.put(16843187, "fromDegrees");
        array.put(16843850, "fromId");
        array.put(16843741, "fromScene");
        array.put(16843206, "fromXDelta");
        array.put(16843202, "fromXScale");
        array.put(16843208, "fromYDelta");
        array.put(16843204, "fromYScale");
        array.put(16844011, "fullBackupContent");
        array.put(16843891, "fullBackupOnly");
        array.put(16842954, "fullBright");
        array.put(16842950, "fullDark");
        array.put(16842787, "functionalTest");
        array.put(16842828, "galleryItemBackground");
        array.put(16842864, "galleryStyle");
        array.put(16843381, "gestureColor");
        array.put(16843388, "gestureStrokeAngleThreshold");
        array.put(16843386, "gestureStrokeLengthThreshold");
        array.put(16843387, "gestureStrokeSquarenessThreshold");
        array.put(16843385, "gestureStrokeType");
        array.put(16843380, "gestureStrokeWidth");
        array.put(16843393, "glEsVersion");
        array.put(16843906, "goIcon");
        array.put(16843172, "gradientRadius");
        array.put(16842779, "grantUriPermissions");
        array.put(16842927, "gravity");
        array.put(16842865, "gridViewStyle");
        array.put(16843019, "groupIndicator");
        array.put(16843011, "hand_hour");
        array.put(16843012, "hand_minute");
        array.put(16843354, "handle");
        array.put(16842786, "handleProfiling");
        array.put(16843358, "hapticFeedbackEnabled");
        array.put(16843475, "hardwareAccelerated");
        array.put(16842764, "hasCode");
        array.put(16844186, "hasFragileUserData");
        array.put(16843936, "headerAmPmTextAppearance");
        array.put(16843055, "headerBackground");
        array.put(16843927, "headerDayOfMonthTextAppearance");
        array.put(16843310, "headerDividersEnabled");
        array.put(16843926, "headerMonthTextAppearance");
        array.put(16843935, "headerTimeTextAppearance");
        array.put(16843928, "headerYearTextAppearance");
        array.put(16843093, "height");
        array.put(16843843, "hideOnContentScroll");
        array.put(16843088, "hint");
        array.put(16843531, "homeAsUpIndicator");
        array.put(16843549, "homeLayout");
        array.put(16843053, "horizontalDivider");
        array.put(16843327, "horizontalGap");
        array.put(16843603, "horizontalScrollViewStyle");
        array.put(16843028, "horizontalSpacing");
        array.put(16842792, "host");
        array.put(16844055, "hotSpotX");
        array.put(16844056, "hotSpotY");
        array.put(16843998, "hyphenationFrequency");
        array.put(16842754, "icon");
        array.put(16843337, "iconPreview");
        array.put(16844129, "iconSpaceReserved");
        array.put(16844126, "iconTint");
        array.put(16844127, "iconTintMode");
        array.put(16843514, "iconifiedByDefault");
        array.put(16842960, "id");
        array.put(16844294, "identifier");
        array.put(16843263, "ignoreGravity");
        array.put(16842866, "imageButtonStyle");
        array.put(16842867, "imageWellStyle");
        array.put(16843366, "imeActionId");
        array.put(16843365, "imeActionLabel");
        array.put(16843368, "imeExtractEnterAnimation");
        array.put(16843369, "imeExtractExitAnimation");
        array.put(16843308, "imeFullscreenBackground");
        array.put(16843364, "imeOptions");
        array.put(16843502, "imeSubtypeExtraValue");
        array.put(16843500, "imeSubtypeLocale");
        array.put(16843501, "imeSubtypeMode");
        array.put(16843456, "immersive");
        array.put(16843690, "importantForAccessibility");
        array.put(16844120, "importantForAutofill");
        array.put(16843127, "inAnimation");
        array.put(16843103, "includeFontPadding");
        array.put(16843374, "includeInGlobalSearch");
        array.put(16843065, "indeterminate");
        array.put(16843070, "indeterminateBehavior");
        array.put(16843067, "indeterminateDrawable");
        array.put(16843069, "indeterminateDuration");
        array.put(16843066, "indeterminateOnly");
        array.put(16843544, "indeterminateProgressStyle");
        array.put(16843881, "indeterminateTint");
        array.put(16843882, "indeterminateTintMode");
        array.put(16843730, "indicatorEnd");
        array.put(16843021, "indicatorLeft");
        array.put(16843022, "indicatorRight");
        array.put(16843729, "indicatorStart");
        array.put(16842995, "inflatedId");
        array.put(16844188, "inheritShowWhenLocked");
        array.put(16842778, "initOrder");
        array.put(16843714, "initialKeyguardLayout");
        array.put(16843345, "initialLayout");
        array.put(16843359, "innerRadius");
        array.put(16843163, "innerRadiusRatio");
        array.put(16843112, "inputMethod");
        array.put(16843296, "inputType");
        array.put(16843957, "inset");
        array.put(16843194, "insetBottom");
        array.put(16843191, "insetLeft");
        array.put(16843192, "insetRight");
        array.put(16843193, "insetTop");
        array.put(16843447, "installLocation");
        array.put(16844181, "interactiveUiTimeout");
        array.put(16843073, "interpolator");
        array.put(16843571, "isAlwaysSyncable");
        array.put(16843753, "isAsciiCapable");
        array.put(16843647, "isAuxiliary");
        array.put(16843297, "isDefault");
        array.put(16844123, "isFeatureSplit");
        array.put(16843764, "isGame");
        array.put(16843079, "isIndicator");
        array.put(16844176, "isLightTheme");
        array.put(16843334, "isModifier");
        array.put(16843336, "isRepeatable");
        array.put(16843342, "isScrollContainer");
        array.put(16844177, "isSplitRequired");
        array.put(16844122, "isStatic");
        array.put(16843335, "isSticky");
        array.put(16843689, "isolatedProcess");
        array.put(16844107, "isolatedSplits");
        array.put(16843056, "itemBackground");
        array.put(16843057, "itemIconDisabledAlpha");
        array.put(16843565, "itemPadding");
        array.put(16843052, "itemTextAppearance");
        array.put(16844135, "justificationMode");
        array.put(16843286, "keepScreenOn");
        array.put(16843240, "key");
        array.put(16843315, "keyBackground");
        array.put(16843333, "keyEdgeFlags");
        array.put(16843326, "keyHeight");
        array.put(16843340, "keyIcon");
        array.put(16843339, "keyLabel");
        array.put(16843338, "keyOutputText");
        array.put(16843321, "keyPreviewHeight");
        array.put(16843319, "keyPreviewLayout");
        array.put(16843320, "keyPreviewOffset");
        array.put(16843739, "keySet");
        array.put(16843318, "keyTextColor");
        array.put(16843316, "keyTextSize");
        array.put(16843325, "keyWidth");
        array.put(16843691, "keyboardLayout");
        array.put(16843341, "keyboardMode");
        array.put(16844096, "keyboardNavigationCluster");
        array.put(16842949, "keycode");
        array.put(16843420, "killAfterRestore");
        array.put(16842753, "label");
        array.put(16843718, "labelFor");
        array.put(16843317, "labelTextSize");
        array.put(16844040, "languageTag");
        array.put(16843610, "largeHeap");
        array.put(16843398, "largeScreens");
        array.put(16843622, "largestWidthLimitDp");
        array.put(16844158, "lastBaselineToBottomHeight");
        array.put(16842781, "launchMode");
        array.put(16843922, "launchTaskBehindSourceAnimation");
        array.put(16843921, "launchTaskBehindTargetAnimation");
        array.put(16843604, "layerType");
        array.put(16842994, "layout");
        array.put(16842988, "layoutAnimation");
        array.put(16843698, "layoutDirection");
        array.put(16843738, "layoutMode");
        array.put(16843140, "layout_above");
        array.put(16843142, "layout_alignBaseline");
        array.put(16843146, "layout_alignBottom");
        array.put(16843706, "layout_alignEnd");
        array.put(16843143, "layout_alignLeft");
        array.put(16843150, "layout_alignParentBottom");
        array.put(16843708, "layout_alignParentEnd");
        array.put(16843147, "layout_alignParentLeft");
        array.put(16843149, "layout_alignParentRight");
        array.put(16843707, "layout_alignParentStart");
        array.put(16843148, "layout_alignParentTop");
        array.put(16843145, "layout_alignRight");
        array.put(16843705, "layout_alignStart");
        array.put(16843144, "layout_alignTop");
        array.put(16843154, "layout_alignWithParentIfMissing");
        array.put(16843141, "layout_below");
        array.put(16843152, "layout_centerHorizontal");
        array.put(16843151, "layout_centerInParent");
        array.put(16843153, "layout_centerVertical");
        array.put(16843084, "layout_column");
        array.put(16843645, "layout_columnSpan");
        array.put(16843865, "layout_columnWeight");
        array.put(16842931, "layout_gravity");
        array.put(16842997, "layout_height");
        array.put(16842998, "layout_margin");
        array.put(16843002, "layout_marginBottom");
        array.put(16843702, "layout_marginEnd");
        array.put(16844091, "layout_marginHorizontal");
        array.put(16842999, "layout_marginLeft");
        array.put(16843001, "layout_marginRight");
        array.put(16843701, "layout_marginStart");
        array.put(16843000, "layout_marginTop");
        array.put(16844092, "layout_marginVertical");
        array.put(16843643, "layout_row");
        array.put(16843644, "layout_rowSpan");
        array.put(16843864, "layout_rowWeight");
        array.put(16843155, "layout_scale");
        array.put(16843085, "layout_span");
        array.put(16843704, "layout_toEndOf");
        array.put(16843138, "layout_toLeftOf");
        array.put(16843139, "layout_toRightOf");
        array.put(16843703, "layout_toStartOf");
        array.put(16843137, "layout_weight");
        array.put(16842996, "layout_width");
        array.put(16843135, "layout_x");
        array.put(16843136, "layout_y");
        array.put(16843181, "left");
        array.put(16843958, "letterSpacing");
        array.put(16844032, "level");
        array.put(16844159, "lineHeight");
        array.put(16843287, "lineSpacingExtra");
        array.put(16843288, "lineSpacingMultiplier");
        array.put(16843092, "lines");
        array.put(16842929, "linksClickable");
        array.put(16843504, "listChoiceBackgroundIndicator");
        array.put(16843290, "listChoiceIndicatorMultiple");
        array.put(16843289, "listChoiceIndicatorSingle");
        array.put(16843284, "listDivider");
        array.put(16843525, "listDividerAlertDialog");
        array.put(16844018, "listMenuViewStyle");
        array.put(16843519, "listPopupWindowStyle");
        array.put(16842829, "listPreferredItemHeight");
        array.put(16843654, "listPreferredItemHeightLarge");
        array.put(16843655, "listPreferredItemHeightSmall");
        array.put(16843710, "listPreferredItemPaddingEnd");
        array.put(16843683, "listPreferredItemPaddingLeft");
        array.put(16843684, "listPreferredItemPaddingRight");
        array.put(16843709, "listPreferredItemPaddingStart");
        array.put(16843003, "listSelector");
        array.put(16843272, "listSeparatorTextViewStyle");
        array.put(16842868, "listViewStyle");
        array.put(16842869, "listViewWhiteStyle");
        array.put(16844013, "lockTaskMode");
        array.put(16843454, "logo");
        array.put(16844009, "logoDescription");
        array.put(16842982, "longClickable");
        array.put(16843527, "loopViews");
        array.put(16842756, "manageSpaceActivity");
        array.put(16842890, "mapViewStyle");
        array.put(16843293, "marqueeRepeatLimit");
        array.put(16843855, "matchOrder");
        array.put(16843062, "max");
        array.put(16844128, "maxAspectRatio");
        array.put(16844029, "maxButtonHeight");
        array.put(16843584, "maxDate");
        array.put(16843095, "maxEms");
        array.put(16843040, "maxHeight");
        array.put(16843060, "maxItemsPerRow");
        array.put(16843104, "maxLength");
        array.put(16843186, "maxLevel");
        array.put(16843091, "maxLines");
        array.put(16844163, "maxLongVersionCode");
        array.put(16843846, "maxRecents");
        array.put(16843059, "maxRows");
        array.put(16843377, "maxSdkVersion");
        array.put(16843039, "maxWidth");
        array.put(16843903, "maximumAngle");
        array.put(16843018, "measureAllChildren");
        array.put(16843476, "measureWithLargestChild");
        array.put(16843693, "mediaRouteButtonStyle");
        array.put(16843694, "mediaRouteTypes");
        array.put(16843230, "menuCategory");
        array.put(16842790, "mimeType");
        array.put(16844089, "min");
        array.put(16844187, "minAspectRatio");
        array.put(16843583, "minDate");
        array.put(16843098, "minEms");
        array.put(16843072, "minHeight");
        array.put(16843185, "minLevel");
        array.put(16843094, "minLines");
        array.put(16843670, "minResizeHeight");
        array.put(16843669, "minResizeWidth");
        array.put(16843276, "minSdkVersion");
        array.put(16843071, "minWidth");
        array.put(16843901, "minimumHorizontalAngle");
        array.put(16843902, "minimumVerticalAngle");
        array.put(16843725, "mipMap");
        array.put(16843726, "mirrorForRtl");
        array.put(16843134, "mode");
        array.put(16843061, "moreIcon");
        array.put(16843918, "multiArch");
        array.put(16842771, "multiprocess");
        array.put(16842755, "name");
        array.put(16843858, "navigationBarColor");
        array.put(16844141, "navigationBarDividerColor");
        array.put(16843969, "navigationContentDescription");
        array.put(16843968, "navigationIcon");
        array.put(16843471, "navigationMode");
        array.put(16843254, "negativeButtonText");
        array.put(16843830, "nestedScrollingEnabled");
        array.put(16844071, "networkSecurityConfig");
        array.put(16844098, "nextClusterForward");
        array.put(16842980, "nextFocusDown");
        array.put(16843580, "nextFocusForward");
        array.put(16842977, "nextFocusLeft");
        array.put(16842978, "nextFocusRight");
        array.put(16842979, "nextFocusUp");
        array.put(16843309, "noHistory");
        array.put(16844175, "nonInteractiveUiTimeout");
        array.put(16843397, "normalScreens");
        array.put(16843651, "notificationTimeout");
        array.put(16843032, "numColumns");
        array.put(16843076, "numStars");
        array.put(16844068, "numberPickerStyle");
        array.put(16843938, "numbersBackgroundColor");
        array.put(16844001, "numbersInnerTextColor");
        array.put(16843939, "numbersSelectorColor");
        array.put(16843937, "numbersTextColor");
        array.put(16843109, "numeric");
        array.put(16844111, "numericModifiers");
        array.put(16843236, "numericShortcut");
        array.put(16844052, "offset");
        array.put(16843375, "onClick");
        array.put(16843159, "oneshot");
        array.put(16843550, "opacity");
        array.put(16844171, "opticalInsetBottom");
        array.put(16844168, "opticalInsetLeft");
        array.put(16844170, "opticalInsetRight");
        array.put(16844169, "opticalInsetTop");
        array.put(16843242, "order");
        array.put(16843231, "orderInCategory");
        array.put(16843490, "ordering");
        array.put(16843239, "orderingFromXml");
        array.put(16842948, "orientation");
        array.put(16843128, "outAnimation");
        array.put(16844162, "outlineAmbientShadowColor");
        array.put(16843960, "outlineProvider");
        array.put(16844161, "outlineSpotShadowColor");
        array.put(16843459, "overScrollFooter");
        array.put(16843458, "overScrollHeader");
        array.put(16843457, "overScrollMode");
        array.put(16843874, "overlapAnchor");
        array.put(16843682, "overridesImplicitlyEnabledSubtype");
        array.put(16843649, "packageNames");
        array.put(16844167, "packageType");
        array.put(16842965, "padding");
        array.put(16842969, "paddingBottom");
        array.put(16843700, "paddingEnd");
        array.put(16844093, "paddingHorizontal");
        array.put(16842966, "paddingLeft");
        array.put(16843863, "paddingMode");
        array.put(16842968, "paddingRight");
        array.put(16843699, "paddingStart");
        array.put(16842967, "paddingTop");
        array.put(16844094, "paddingVertical");
        array.put(16842846, "panelBackground");
        array.put(16842849, "panelColorBackground");
        array.put(16842848, "panelColorForeground");
        array.put(16842847, "panelFullBackground");
        array.put(16842850, "panelTextAppearance");
        array.put(16843687, "parentActivityName");
        array.put(16843100, "password");
        array.put(16842794, "path");
        array.put(16843781, "pathData");
        array.put(16842796, "pathPattern");
        array.put(16842795, "pathPrefix");
        array.put(16843978, "patternPathData");
        array.put(16842758, "permission");
        array.put(16843719, "permissionFlags");
        array.put(16842762, "permissionGroup");
        array.put(16843717, "permissionGroupFlags");
        array.put(16843821, "persistableMode");
        array.put(16842765, "persistent");
        array.put(16842990, "persistentDrawingCache");
        array.put(16844131, "persistentWhenFeatureAvailable");
        array.put(16843111, "phoneNumber");
        array.put(16843189, "pivotX");
        array.put(16843190, "pivotY");
        array.put(16844041, "pointerIcon");
        array.put(16843465, "popupAnimationStyle");
        array.put(16843126, "popupBackground");
        array.put(16843332, "popupCharacters");
        array.put(16843916, "popupElevation");
        array.put(16844063, "popupEnterTransition");
        array.put(16844064, "popupExitTransition");
        array.put(16843331, "popupKeyboard");
        array.put(16843323, "popupLayout");
        array.put(16843520, "popupMenuStyle");
        array.put(16843945, "popupTheme");
        array.put(16842870, "popupWindowStyle");
        array.put(16842793, "port");
        array.put(16843253, "positiveButtonText");
        array.put(16842892, "preferenceCategoryStyle");
        array.put(16844038, "preferenceFragmentStyle");
        array.put(16842893, "preferenceInformationStyle");
        array.put(16842900, "preferenceLayoutChild");
        array.put(16842891, "preferenceScreenStyle");
        array.put(16842894, "preferenceStyle");
        array.put(16843712, "presentationTheme");
        array.put(16843482, "previewImage");
        array.put(16844114, "primaryContentAlpha");
        array.put(16842780, "priority");
        array.put(16843299, "privateImeOptions");
        array.put(16842769, "process");
        array.put(16843063, "progress");
        array.put(16843877, "progressBackgroundTint");
        array.put(16843878, "progressBackgroundTintMode");
        array.put(16843545, "progressBarPadding");
        array.put(16842871, "progressBarStyle");
        array.put(16842872, "progressBarStyleHorizontal");
        array.put(16843399, "progressBarStyleInverse");
        array.put(16842874, "progressBarStyleLarge");
        array.put(16843401, "progressBarStyleLargeInverse");
        array.put(16842873, "progressBarStyleSmall");
        array.put(16843400, "progressBarStyleSmallInverse");
        array.put(16843279, "progressBarStyleSmallTitle");
        array.put(16843068, "progressDrawable");
        array.put(16843875, "progressTint");
        array.put(16843876, "progressTintMode");
        array.put(16843131, "prompt");
        array.put(16843489, "propertyName");
        array.put(16843892, "propertyXName");
        array.put(16843893, "propertyYName");
        array.put(16842761, "protectionLevel");
        array.put(16843686, "publicKey");
        array.put(16843227, "queryActionMsg");
        array.put(16843394, "queryAfterZeroResults");
        array.put(16843911, "queryBackground");
        array.put(16843608, "queryHint");
        array.put(16843443, "quickContactBadgeStyleSmallWindowLarge");
        array.put(16843442, "quickContactBadgeStyleSmallWindowMedium");
        array.put(16843441, "quickContactBadgeStyleSmallWindowSmall");
        array.put(16843440, "quickContactBadgeStyleWindowLarge");
        array.put(16843439, "quickContactBadgeStyleWindowMedium");
        array.put(16843438, "quickContactBadgeStyleWindowSmall");
        array.put(16842878, "radioButtonStyle");
        array.put(16843176, "radius");
        array.put(16843077, "rating");
        array.put(16842876, "ratingBarStyle");
        array.put(16843280, "ratingBarStyleIndicator");
        array.put(16842877, "ratingBarStyleSmall");
        array.put(16842759, "readPermission");
        array.put(16843932, "recognitionService");
        array.put(16844103, "recreateOnConfigChanges");
        array.put(16844121, "recycleEnabled");
        array.put(16843894, "relinquishTaskIdentity");
        array.put(16843964, "reparent");
        array.put(16843965, "reparentWithOverlay");
        array.put(16843199, "repeatCount");
        array.put(16843200, "repeatMode");
        array.put(16843314, "reqFiveWayNav");
        array.put(16843305, "reqHardKeyboard");
        array.put(16843304, "reqKeyboardType");
        array.put(16843306, "reqNavigation");
        array.put(16843303, "reqTouchScreen");
        array.put(16844291, "requestLegacyExternalStorage");
        array.put(16843756, "requireDeviceUnlock");
        array.put(16843406, "required");
        array.put(16843734, "requiredAccountType");
        array.put(16844116, "requiredFeature");
        array.put(16843728, "requiredForAllUsers");
        array.put(16844117, "requiredNotFeature");
        array.put(16843685, "requiresFadingEdge");
        array.put(16843620, "requiresSmallestWidthDp");
        array.put(16843983, "resizeClip");
        array.put(16843619, "resizeMode");
        array.put(16843405, "resizeable");
        array.put(16844022, "resizeableActivity");
        array.put(16842789, "resource");
        array.put(16843450, "restoreAnyVersion");
        array.put(16843421, "restoreNeedsApplication");
        array.put(16843733, "restrictedAccountType");
        array.put(16843923, "restrictionType");
        array.put(16843954, "resumeWhilePausing");
        array.put(16843851, "reversible");
        array.put(16843989, "revisionCode");
        array.put(16843183, "right");
        array.put(16842899, "ringtonePreferenceStyle");
        array.put(16843257, "ringtoneType");
        array.put(16843558, "rotation");
        array.put(16844090, "rotationAnimation");
        array.put(16843559, "rotationX");
        array.put(16843560, "rotationY");
        array.put(16844076, "roundIcon");
        array.put(16843637, "rowCount");
        array.put(16843216, "rowDelay");
        array.put(16843329, "rowEdgeFlags");
        array.put(16843058, "rowHeight");
        array.put(16843638, "rowOrderPreserved");
        array.put(16842983, "saveEnabled");
        array.put(16843262, "scaleGravity");
        array.put(16843261, "scaleHeight");
        array.put(16843037, "scaleType");
        array.put(16843260, "scaleWidth");
        array.put(16843556, "scaleX");
        array.put(16843557, "scaleY");
        array.put(16842791, "scheme");
        array.put(16843467, "screenDensity");
        array.put(16842782, "screenOrientation");
        array.put(16844148, "screenReaderFocusable");
        array.put(16843466, "screenSize");
        array.put(16843099, "scrollHorizontally");
        array.put(16844006, "scrollIndicators");
        array.put(16842880, "scrollViewStyle");
        array.put(16842962, "scrollX");
        array.put(16842963, "scrollY");
        array.put(16842856, "scrollbarAlwaysDrawHorizontalTrack");
        array.put(16842857, "scrollbarAlwaysDrawVerticalTrack");
        array.put(16843433, "scrollbarDefaultDelayBeforeFade");
        array.put(16843432, "scrollbarFadeDuration");
        array.put(16842851, "scrollbarSize");
        array.put(16842879, "scrollbarStyle");
        array.put(16842852, "scrollbarThumbHorizontal");
        array.put(16842853, "scrollbarThumbVertical");
        array.put(16842854, "scrollbarTrackHorizontal");
        array.put(16842855, "scrollbarTrackVertical");
        array.put(16842974, "scrollbars");
        array.put(16843006, "scrollingCache");
        array.put(16843269, "searchButtonText");
        array.put(16843988, "searchHintIcon");
        array.put(16843907, "searchIcon");
        array.put(16843221, "searchMode");
        array.put(16843402, "searchSettingsDescription");
        array.put(16843222, "searchSuggestAuthority");
        array.put(16843225, "searchSuggestIntentAction");
        array.put(16843226, "searchSuggestIntentData");
        array.put(16843223, "searchSuggestPath");
        array.put(16843224, "searchSuggestSelection");
        array.put(16843373, "searchSuggestThreshold");
        array.put(16843904, "searchViewStyle");
        array.put(16844115, "secondaryContentAlpha");
        array.put(16843064, "secondaryProgress");
        array.put(16843879, "secondaryProgressTint");
        array.put(16843880, "secondaryProgressTintMode");
        array.put(16844290, "secureElementName");
        array.put(16842875, "seekBarStyle");
        array.put(16843568, "segmentedButtonStyle");
        array.put(16843102, "selectAllOnFocus");
        array.put(16843238, "selectable");
        array.put(16843534, "selectableItemBackground");
        array.put(16843868, "selectableItemBackgroundBorderless");
        array.put(16843591, "selectedDateVerticalBar");
        array.put(16843586, "selectedWeekBackgroundColor");
        array.put(16844184, "selectionDividerHeight");
        array.put(16843837, "sessionService");
        array.put(16843301, "settingsActivity");
        array.put(16844179, "settingsSliceUri");
        array.put(16843766, "setupActivity");
        array.put(16843105, "shadowColor");
        array.put(16843106, "shadowDx");
        array.put(16843107, "shadowDy");
        array.put(16843108, "shadowRadius");
        array.put(16843162, "shape");
        array.put(16843195, "shareInterpolator");
        array.put(16842763, "sharedUserId");
        array.put(16843361, "sharedUserLabel");
        array.put(16844180, "shell");
        array.put(16844075, "shortcutDisabledMessage");
        array.put(16844072, "shortcutId");
        array.put(16844074, "shortcutLongLabel");
        array.put(16844073, "shortcutShortLabel");
        array.put(16843246, "shouldDisableView");
        array.put(16843481, "showAsAction");
        array.put(16843258, "showDefault");
        array.put(16843561, "showDividers");
        array.put(16844015, "showForAllUsers");
        array.put(16844079, "showMetadataInPreview");
        array.put(16843721, "showOnLockScreen");
        array.put(16843259, "showSilent");
        array.put(16843949, "showText");
        array.put(16843582, "showWeekNumber");
        array.put(16844137, "showWhenLocked");
        array.put(16843585, "shownWeekCount");
        array.put(16843082, "shrinkColumns");
        array.put(16843101, "singleLine");
        array.put(16844124, "singleLineTitle");
        array.put(16843711, "singleUser");
        array.put(16843824, "slideEdge");
        array.put(16843422, "smallIcon");
        array.put(16843396, "smallScreens");
        array.put(16843313, "smoothScrollbar");
        array.put(16843285, "soundEffectsEnabled");
        array.put(16843027, "spacing");
        array.put(16842887, "spinnerDropDownItemStyle");
        array.put(16842889, "spinnerItemStyle");
        array.put(16843505, "spinnerMode");
        array.put(16842881, "spinnerStyle");
        array.put(16843595, "spinnersShown");
        array.put(16843503, "splitMotionEvents");
        array.put(16844105, "splitName");
        array.put(16843852, "splitTrack");
        array.put(16843967, "spotShadowAlpha");
        array.put(16843033, "src");
        array.put(16843747, "ssp");
        array.put(16843749, "sspPattern");
        array.put(16843748, "sspPrefix");
        array.put(16843005, "stackFromBottom");
        array.put(16843838, "stackViewStyle");
        array.put(16842882, "starStyle");
        array.put(16843995, "start");
        array.put(16843165, "startColor");
        array.put(16843746, "startDelay");
        array.put(16843198, "startOffset");
        array.put(16844048, "startX");
        array.put(16844049, "startY");
        array.put(16843132, "startYear");
        array.put(16843848, "stateListAnimator");
        array.put(16842774, "stateNotNeeded");
        array.put(16842922, "state_above_anchor");
        array.put(16843547, "state_accelerated");
        array.put(16843518, "state_activated");
        array.put(16842914, "state_active");
        array.put(16842911, "state_checkable");
        array.put(16842912, "state_checked");
        array.put(16843624, "state_drag_can_accept");
        array.put(16843625, "state_drag_hovered");
        array.put(16842921, "state_empty");
        array.put(16842910, "state_enabled");
        array.put(16842920, "state_expanded");
        array.put(16842916, "state_first");
        array.put(16842908, "state_focused");
        array.put(16843623, "state_hovered");
        array.put(16842918, "state_last");
        array.put(16843324, "state_long_pressable");
        array.put(16842917, "state_middle");
        array.put(16843597, "state_multiline");
        array.put(16842919, "state_pressed");
        array.put(16842913, "state_selected");
        array.put(16842915, "state_single");
        array.put(16842909, "state_window_focused");
        array.put(16843569, "staticWallpaperPreview");
        array.put(16843857, "statusBarColor");
        array.put(16843078, "stepSize");
        array.put(16843626, "stopWithTask");
        array.put(16843273, "streamType");
        array.put(16843081, "stretchColumns");
        array.put(16843030, "stretchMode");
        array.put(16843979, "strokeAlpha");
        array.put(16843782, "strokeColor");
        array.put(16843787, "strokeLineCap");
        array.put(16843788, "strokeLineJoin");
        array.put(16843789, "strokeMiterLimit");
        array.put(16843783, "strokeWidth");
        array.put(16844019, "subMenuArrow");
        array.put(16843912, "submitBackground");
        array.put(16843473, "subtitle");
        array.put(16843823, "subtitleTextAppearance");
        array.put(16844004, "subtitleTextColor");
        array.put(16843513, "subtitleTextStyle");
        array.put(16843674, "subtypeExtraValue");
        array.put(16843713, "subtypeId");
        array.put(16843673, "subtypeLocale");
        array.put(16843228, "suggestActionMsg");
        array.put(16843229, "suggestActionMsgColumn");
        array.put(16843910, "suggestionRowLayout");
        array.put(16843241, "summary");
        array.put(16843426, "summaryColumn");
        array.put(16843248, "summaryOff");
        array.put(16843247, "summaryOn");
        array.put(16844016, "supportsAssist");
        array.put(16844017, "supportsLaunchVoiceAssistFromKeyguard");
        array.put(16844047, "supportsLocalInteraction");
        array.put(16844182, "supportsMultipleDisplays");
        array.put(16844023, "supportsPictureInPicture");
        array.put(16843695, "supportsRtl");
        array.put(16843755, "supportsSwitchingToNextInputMethod");
        array.put(16843419, "supportsUploading");
        array.put(16843632, "switchMinWidth");
        array.put(16843633, "switchPadding");
        array.put(16843629, "switchPreferenceStyle");
        array.put(16843839, "switchStyle");
        array.put(16843630, "switchTextAppearance");
        array.put(16843628, "switchTextOff");
        array.put(16843627, "switchTextOn");
        array.put(16842777, "syncable");
        array.put(16843453, "tabStripEnabled");
        array.put(16843451, "tabStripLeft");
        array.put(16843452, "tabStripRight");
        array.put(16842883, "tabWidgetStyle");
        array.put(16842961, "tag");
        array.put(16843266, "targetActivity");
        array.put(16842799, "targetClass");
        array.put(16843680, "targetDescriptions");
        array.put(16843740, "targetId");
        array.put(16843853, "targetName");
        array.put(16842785, "targetPackage");
        array.put(16844097, "targetProcesses");
        array.put(16844108, "targetSandboxVersion");
        array.put(16843376, "targetSdkVersion");
        array.put(16842770, "taskAffinity");
        array.put(16842942, "taskCloseEnterAnimation");
        array.put(16842943, "taskCloseExitAnimation");
        array.put(16842940, "taskOpenEnterAnimation");
        array.put(16842941, "taskOpenExitAnimation");
        array.put(16842946, "taskToBackEnterAnimation");
        array.put(16842947, "taskToBackExitAnimation");
        array.put(16842944, "taskToFrontEnterAnimation");
        array.put(16842945, "taskToFrontExitAnimation");
        array.put(16843370, "tension");
        array.put(16843378, "testOnly");
        array.put(16843087, "text");
        array.put(16843697, "textAlignment");
        array.put(16843660, "textAllCaps");
        array.put(16842804, "textAppearance");
        array.put(16843271, "textAppearanceButton");
        array.put(16842805, "textAppearanceInverse");
        array.put(16842816, "textAppearanceLarge");
        array.put(16842819, "textAppearanceLargeInverse");
        array.put(16843521, "textAppearanceLargePopupMenu");
        array.put(16843678, "textAppearanceListItem");
        array.put(16843826, "textAppearanceListItemSecondary");
        array.put(16843679, "textAppearanceListItemSmall");
        array.put(16842817, "textAppearanceMedium");
        array.put(16842820, "textAppearanceMediumInverse");
        array.put(16844034, "textAppearancePopupMenuHeader");
        array.put(16843424, "textAppearanceSearchResultSubtitle");
        array.put(16843425, "textAppearanceSearchResultTitle");
        array.put(16842818, "textAppearanceSmall");
        array.put(16842821, "textAppearanceSmallInverse");
        array.put(16843522, "textAppearanceSmallPopupMenu");
        array.put(16842822, "textCheckMark");
        array.put(16842823, "textCheckMarkInverse");
        array.put(16842904, "textColor");
        array.put(16843526, "textColorAlertDialogListItem");
        array.put(16842905, "textColorHighlight");
        array.put(16843599, "textColorHighlightInverse");
        array.put(16842906, "textColorHint");
        array.put(16842815, "textColorHintInverse");
        array.put(16842907, "textColorLink");
        array.put(16843600, "textColorLinkInverse");
        array.put(16842806, "textColorPrimary");
        array.put(16842807, "textColorPrimaryDisableOnly");
        array.put(16842809, "textColorPrimaryInverse");
        array.put(16843403, "textColorPrimaryInverseDisableOnly");
        array.put(16842813, "textColorPrimaryInverseNoDisable");
        array.put(16842811, "textColorPrimaryNoDisable");
        array.put(16842808, "textColorSecondary");
        array.put(16842810, "textColorSecondaryInverse");
        array.put(16842814, "textColorSecondaryInverseNoDisable");
        array.put(16842812, "textColorSecondaryNoDisable");
        array.put(16843282, "textColorTertiary");
        array.put(16843283, "textColorTertiaryInverse");
        array.put(16843618, "textCursorDrawable");
        array.put(16843696, "textDirection");
        array.put(16843541, "textEditNoPasteWindowLayout");
        array.put(16843540, "textEditPasteWindowLayout");
        array.put(16843615, "textEditSideNoPasteWindowLayout");
        array.put(16843614, "textEditSidePasteWindowLayout");
        array.put(16843636, "textEditSuggestionItemLayout");
        array.put(16843007, "textFilterEnabled");
        array.put(16844165, "textFontWeight");
        array.put(16843542, "textIsSelectable");
        array.put(16844178, "textLocale");
        array.put(16843045, "textOff");
        array.put(16843044, "textOn");
        array.put(16843089, "textScaleX");
        array.put(16843463, "textSelectHandle");
        array.put(16843461, "textSelectHandleLeft");
        array.put(16843462, "textSelectHandleRight");
        array.put(16843464, "textSelectHandleWindowStyle");
        array.put(16842901, "textSize");
        array.put(16842903, "textStyle");
        array.put(16843635, "textSuggestionsWindowStyle");
        array.put(16842884, "textViewStyle");
        array.put(16842752, "theme");
        array.put(16843360, "thickness");
        array.put(16843164, "thicknessRatio");
        array.put(16843074, "thumb");
        array.put(16843075, "thumbOffset");
        array.put(16844005, "thumbPosition");
        array.put(16843634, "thumbTextPadding");
        array.put(16843889, "thumbTint");
        array.put(16843890, "thumbTintMode");
        array.put(16843429, "thumbnail");
        array.put(16844042, "tickMark");
        array.put(16844043, "tickMarkTint");
        array.put(16844044, "tickMarkTintMode");
        array.put(16843265, "tileMode");
        array.put(16843895, "tileModeX");
        array.put(16843896, "tileModeY");
        array.put(16843934, "timePickerDialogTheme");
        array.put(16843956, "timePickerMode");
        array.put(16843933, "timePickerStyle");
        array.put(16843724, "timeZone");
        array.put(16843041, "tint");
        array.put(16843771, "tintMode");
        array.put(16843233, "title");
        array.put(16843234, "titleCondensed");
        array.put(16844024, "titleMargin");
        array.put(16844028, "titleMarginBottom");
        array.put(16844026, "titleMarginEnd");
        array.put(16844025, "titleMarginStart");
        array.put(16844027, "titleMarginTop");
        array.put(16843822, "titleTextAppearance");
        array.put(16844003, "titleTextColor");
        array.put(16843512, "titleTextStyle");
        array.put(16843211, "toAlpha");
        array.put(16843188, "toDegrees");
        array.put(16843849, "toId");
        array.put(16843742, "toScene");
        array.put(16843207, "toXDelta");
        array.put(16843203, "toXScale");
        array.put(16843209, "toYDelta");
        array.put(16843205, "toYScale");
        array.put(16843946, "toolbarStyle");
        array.put(16844084, "tooltipText");
        array.put(16843182, "top");
        array.put(16842955, "topBright");
        array.put(16842951, "topDark");
        array.put(16843177, "topLeftRadius");
        array.put(16843352, "topOffset");
        array.put(16843178, "topRightRadius");
        array.put(16843919, "touchscreenBlocksFocus");
        array.put(16843631, "track");
        array.put(16843993, "trackTint");
        array.put(16843994, "trackTintMode");
        array.put(16843008, "transcriptMode");
        array.put(16843552, "transformPivotX");
        array.put(16843553, "transformPivotY");
        array.put(16843743, "transition");
        array.put(16843777, "transitionGroup");
        array.put(16843776, "transitionName");
        array.put(16843744, "transitionOrdering");
        array.put(16843900, "transitionVisibilityMode");
        array.put(16843866, "translateX");
        array.put(16843867, "translateY");
        array.put(16843554, "translationX");
        array.put(16843555, "translationY");
        array.put(16843770, "translationZ");
        array.put(16843785, "trimPathEnd");
        array.put(16843786, "trimPathOffset");
        array.put(16843784, "trimPathStart");
        array.put(16844143, "ttcIndex");
        array.put(16844061, "tunerCount");
        array.put(16844138, "turnScreenOn");
        array.put(16843169, "type");
        array.put(16842902, "typeface");
        array.put(16843672, "uiOptions");
        array.put(16843382, "uncertainGestureColor");
        array.put(16843588, "unfocusedMonthDateColor");
        array.put(16843278, "unselectedAlpha");
        array.put(16843344, "updatePeriodMillis");
        array.put(16844053, "use32bitAbi");
        array.put(16844183, "useAppZygote");
        array.put(16843641, "useDefaultMargins");
        array.put(16844190, "useEmbeddedDex");
        array.put(16843536, "useIntrinsicSizeAsMinimum");
        array.put(16843167, "useLevel");
        array.put(16843409, "userVisible");
        array.put(16844012, "usesCleartextTraffic");
        array.put(16842788, "value");
        array.put(16843486, "valueFrom");
        array.put(16843487, "valueTo");
        array.put(16843488, "valueType");
        array.put(16843157, "variablePadding");
        array.put(16843751, "vendor");
        array.put(16844057, "version");
        array.put(16843291, "versionCode");
        array.put(16844150, "versionCodeMajor");
        array.put(16844151, "versionMajor");
        array.put(16843292, "versionName");
        array.put(16843322, "verticalCorrection");
        array.put(16843054, "verticalDivider");
        array.put(16843328, "verticalGap");
        array.put(16843572, "verticalScrollbarPosition");
        array.put(16843029, "verticalSpacing");
        array.put(16843779, "viewportHeight");
        array.put(16843778, "viewportWidth");
        array.put(16842972, "visibility");
        array.put(16843156, "visible");
        array.put(16844081, "visibleToInstantApps");
        array.put(16843448, "vmSafeMode");
        array.put(16843908, "voiceIcon");
        array.put(16843349, "voiceLanguage");
        array.put(16843347, "voiceLanguageModel");
        array.put(16843350, "voiceMaxResults");
        array.put(16843348, "voicePromptText");
        array.put(16843346, "voiceSearchMode");
        array.put(16843413, "wallpaperCloseEnterAnimation");
        array.put(16843414, "wallpaperCloseExitAnimation");
        array.put(16843417, "wallpaperIntraCloseEnterAnimation");
        array.put(16843418, "wallpaperIntraCloseExitAnimation");
        array.put(16843415, "wallpaperIntraOpenEnterAnimation");
        array.put(16843416, "wallpaperIntraOpenExitAnimation");
        array.put(16843411, "wallpaperOpenEnterAnimation");
        array.put(16843412, "wallpaperOpenExitAnimation");
        array.put(16843449, "webTextViewStyle");
        array.put(16842885, "webViewStyle");
        array.put(16843592, "weekDayTextAppearance");
        array.put(16843589, "weekNumberColor");
        array.put(16843590, "weekSeparatorLineColor");
        array.put(16843048, "weightSum");
        array.put(16843716, "widgetCategory");
        array.put(16844153, "widgetFeatures");
        array.put(16843243, "widgetLayout");
        array.put(16843097, "width");
        array.put(16843469, "windowActionBar");
        array.put(16843492, "windowActionBarOverlay");
        array.put(16843485, "windowActionModeOverlay");
        array.put(16843981, "windowActivityTransitions");
        array.put(16843836, "windowAllowEnterTransitionOverlap");
        array.put(16843835, "windowAllowReturnTransitionOverlap");
        array.put(16842926, "windowAnimationStyle");
        array.put(16842836, "windowBackground");
        array.put(16844035, "windowBackgroundFallback");
        array.put(16843947, "windowClipToOutline");
        array.put(16843611, "windowCloseOnTouchOutside");
        array.put(16842841, "windowContentOverlay");
        array.put(16843769, "windowContentTransitionManager");
        array.put(16843768, "windowContentTransitions");
        array.put(16843298, "windowDisablePreview");
        array.put(16843856, "windowDrawsSystemBarBackgrounds");
        array.put(16843920, "windowElevation");
        array.put(16843543, "windowEnableSplitTouch");
        array.put(16842932, "windowEnterAnimation");
        array.put(16843831, "windowEnterTransition");
        array.put(16842933, "windowExitAnimation");
        array.put(16843832, "windowExitTransition");
        array.put(16842837, "windowFrame");
        array.put(16843277, "windowFullscreen");
        array.put(16842935, "windowHideAnimation");
        array.put(16842839, "windowIsFloating");
        array.put(16842840, "windowIsTranslucent");
        array.put(16844166, "windowLayoutInDisplayCutoutMode");
        array.put(16844140, "windowLightNavigationBar");
        array.put(16844000, "windowLightStatusBar");
        array.put(16843606, "windowMinWidthMajor");
        array.put(16843607, "windowMinWidthMinor");
        array.put(16843294, "windowNoDisplay");
        array.put(16842838, "windowNoTitle");
        array.put(16843727, "windowOverscan");
        array.put(16843951, "windowReenterTransition");
        array.put(16843950, "windowReturnTransition");
        array.put(16843833, "windowSharedElementEnterTransition");
        array.put(16843834, "windowSharedElementExitTransition");
        array.put(16843953, "windowSharedElementReenterTransition");
        array.put(16843952, "windowSharedElementReturnTransition");
        array.put(16843963, "windowSharedElementsUseOverlay");
        array.put(16842934, "windowShowAnimation");
        array.put(16843410, "windowShowWallpaper");
        array.put(16843307, "windowSoftInputMode");
        array.put(16844132, "windowSplashscreenContent");
        array.put(16843763, "windowSwipeToDismiss");
        array.put(16842844, "windowTitleBackgroundStyle");
        array.put(16842842, "windowTitleSize");
        array.put(16842843, "windowTitleStyle");
        array.put(16843873, "windowTransitionBackgroundFadeDuration");
        array.put(16843760, "windowTranslucentNavigation");
        array.put(16843759, "windowTranslucentStatus");
        array.put(16842760, "writePermission");
        array.put(16842924, "x");
        array.put(16843455, "xlargeScreens");
        array.put(16842925, "y");
        array.put(16843929, "yearListItemTextAppearance");
        array.put(16843930, "yearListSelectorColor");
        array.put(16842896, "yesNoPreferenceStyle");
        array.put(16843201, "zAdjustment");
        array.put(16844189, "zygotePreloadName");
        return array;
    }

    @NonNull
    public static SparseArray<String> loadSystemStyles() {
        SparseArray<String> array = new SparseArray<>();
        array.put(16973824, "Animation");
        array.put(16973825, "Animation_Activity");
        array.put(16973826, "Animation_Dialog");
        array.put(16973910, "Animation_InputMethod");
        array.put(16973828, "Animation_Toast");
        array.put(16973827, "Animation_Translucent");
        array.put(16974287, "DeviceDefault_ButtonBar");
        array.put(16974288, "DeviceDefault_ButtonBar_AlertDialog");
        array.put(16974290, "DeviceDefault_Light_ButtonBar");
        array.put(16974291, "DeviceDefault_Light_ButtonBar_AlertDialog");
        array.put(16974292, "DeviceDefault_Light_SegmentedButton");
        array.put(16974289, "DeviceDefault_SegmentedButton");
        array.put(16974053, "Holo_ButtonBar");
        array.put(16974055, "Holo_ButtonBar_AlertDialog");
        array.put(16974054, "Holo_Light_ButtonBar");
        array.put(16974056, "Holo_Light_ButtonBar_AlertDialog");
        array.put(16974058, "Holo_Light_SegmentedButton");
        array.put(16974057, "Holo_SegmentedButton");
        array.put(16973879, "MediaButton");
        array.put(16973883, "MediaButton_Ffwd");
        array.put(16973881, "MediaButton_Next");
        array.put(16973885, "MediaButton_Pause");
        array.put(16973882, "MediaButton_Play");
        array.put(16973880, "MediaButton_Previous");
        array.put(16973884, "MediaButton_Rew");
        array.put(16973886, "TextAppearance");
        array.put(16974253, "TextAppearance_DeviceDefault");
        array.put(16974264, "TextAppearance_DeviceDefault_DialogWindowTitle");
        array.put(16974254, "TextAppearance_DeviceDefault_Inverse");
        array.put(16974255, "TextAppearance_DeviceDefault_Large");
        array.put(16974256, "TextAppearance_DeviceDefault_Large_Inverse");
        array.put(16974257, "TextAppearance_DeviceDefault_Medium");
        array.put(16974258, "TextAppearance_DeviceDefault_Medium_Inverse");
        array.put(16974262, "TextAppearance_DeviceDefault_SearchResult_Subtitle");
        array.put(16974261, "TextAppearance_DeviceDefault_SearchResult_Title");
        array.put(16974259, "TextAppearance_DeviceDefault_Small");
        array.put(16974260, "TextAppearance_DeviceDefault_Small_Inverse");
        array.put(16974265, "TextAppearance_DeviceDefault_Widget");
        array.put(16974286, "TextAppearance_DeviceDefault_Widget_ActionBar_Menu");
        array.put(16974279, "TextAppearance_DeviceDefault_Widget_ActionBar_Subtitle");
        array.put(16974283, "TextAppearance_DeviceDefault_Widget_ActionBar_Subtitle_Inverse");
        array.put(16974278, "TextAppearance_DeviceDefault_Widget_ActionBar_Title");
        array.put(16974282, "TextAppearance_DeviceDefault_Widget_ActionBar_Title_Inverse");
        array.put(16974281, "TextAppearance_DeviceDefault_Widget_ActionMode_Subtitle");
        array.put(16974285, "TextAppearance_DeviceDefault_Widget_ActionMode_Subtitle_Inverse");
        array.put(16974280, "TextAppearance_DeviceDefault_Widget_ActionMode_Title");
        array.put(16974284, "TextAppearance_DeviceDefault_Widget_ActionMode_Title_Inverse");
        array.put(16974266, "TextAppearance_DeviceDefault_Widget_Button");
        array.put(16974271, "TextAppearance_DeviceDefault_Widget_DropDownHint");
        array.put(16974272, "TextAppearance_DeviceDefault_Widget_DropDownItem");
        array.put(16974274, "TextAppearance_DeviceDefault_Widget_EditText");
        array.put(16974267, "TextAppearance_DeviceDefault_Widget_IconMenu_Item");
        array.put(16974275, "TextAppearance_DeviceDefault_Widget_PopupMenu");
        array.put(16974276, "TextAppearance_DeviceDefault_Widget_PopupMenu_Large");
        array.put(16974277, "TextAppearance_DeviceDefault_Widget_PopupMenu_Small");
        array.put(16974268, "TextAppearance_DeviceDefault_Widget_TabWidget");
        array.put(16974269, "TextAppearance_DeviceDefault_Widget_TextView");
        array.put(16974270, "TextAppearance_DeviceDefault_Widget_TextView_PopupMenu");
        array.put(16974273, "TextAppearance_DeviceDefault_Widget_TextView_SpinnerItem");
        array.put(16974263, "TextAppearance_DeviceDefault_WindowTitle");
        array.put(16973889, "TextAppearance_DialogWindowTitle");
        array.put(16974075, "TextAppearance_Holo");
        array.put(16974103, "TextAppearance_Holo_DialogWindowTitle");
        array.put(16974076, "TextAppearance_Holo_Inverse");
        array.put(16974077, "TextAppearance_Holo_Large");
        array.put(16974078, "TextAppearance_Holo_Large_Inverse");
        array.put(16974079, "TextAppearance_Holo_Medium");
        array.put(16974080, "TextAppearance_Holo_Medium_Inverse");
        array.put(16974084, "TextAppearance_Holo_SearchResult_Subtitle");
        array.put(16974083, "TextAppearance_Holo_SearchResult_Title");
        array.put(16974081, "TextAppearance_Holo_Small");
        array.put(16974082, "TextAppearance_Holo_Small_Inverse");
        array.put(16974085, "TextAppearance_Holo_Widget");
        array.put(16974112, "TextAppearance_Holo_Widget_ActionBar_Menu");
        array.put(16974099, "TextAppearance_Holo_Widget_ActionBar_Subtitle");
        array.put(16974109, "TextAppearance_Holo_Widget_ActionBar_Subtitle_Inverse");
        array.put(16974098, "TextAppearance_Holo_Widget_ActionBar_Title");
        array.put(16974108, "TextAppearance_Holo_Widget_ActionBar_Title_Inverse");
        array.put(16974101, "TextAppearance_Holo_Widget_ActionMode_Subtitle");
        array.put(16974111, "TextAppearance_Holo_Widget_ActionMode_Subtitle_Inverse");
        array.put(16974100, "TextAppearance_Holo_Widget_ActionMode_Title");
        array.put(16974110, "TextAppearance_Holo_Widget_ActionMode_Title_Inverse");
        array.put(16974086, "TextAppearance_Holo_Widget_Button");
        array.put(16974091, "TextAppearance_Holo_Widget_DropDownHint");
        array.put(16974092, "TextAppearance_Holo_Widget_DropDownItem");
        array.put(16974094, "TextAppearance_Holo_Widget_EditText");
        array.put(16974087, "TextAppearance_Holo_Widget_IconMenu_Item");
        array.put(16974095, "TextAppearance_Holo_Widget_PopupMenu");
        array.put(16974096, "TextAppearance_Holo_Widget_PopupMenu_Large");
        array.put(16974097, "TextAppearance_Holo_Widget_PopupMenu_Small");
        array.put(16974088, "TextAppearance_Holo_Widget_TabWidget");
        array.put(16974089, "TextAppearance_Holo_Widget_TextView");
        array.put(16974090, "TextAppearance_Holo_Widget_TextView_PopupMenu");
        array.put(16974093, "TextAppearance_Holo_Widget_TextView_SpinnerItem");
        array.put(16974102, "TextAppearance_Holo_WindowTitle");
        array.put(16973887, "TextAppearance_Inverse");
        array.put(16973890, "TextAppearance_Large");
        array.put(16973891, "TextAppearance_Large_Inverse");
        array.put(16974317, "TextAppearance_Material");
        array.put(16974320, "TextAppearance_Material_Body1");
        array.put(16974319, "TextAppearance_Material_Body2");
        array.put(16974318, "TextAppearance_Material_Button");
        array.put(16974321, "TextAppearance_Material_Caption");
        array.put(16974322, "TextAppearance_Material_DialogWindowTitle");
        array.put(16974326, "TextAppearance_Material_Display1");
        array.put(16974325, "TextAppearance_Material_Display2");
        array.put(16974324, "TextAppearance_Material_Display3");
        array.put(16974323, "TextAppearance_Material_Display4");
        array.put(16974327, "TextAppearance_Material_Headline");
        array.put(16974328, "TextAppearance_Material_Inverse");
        array.put(16974329, "TextAppearance_Material_Large");
        array.put(16974330, "TextAppearance_Material_Large_Inverse");
        array.put(16974331, "TextAppearance_Material_Medium");
        array.put(16974332, "TextAppearance_Material_Medium_Inverse");
        array.put(16974333, "TextAppearance_Material_Menu");
        array.put(16974334, "TextAppearance_Material_Notification");
        array.put(16974335, "TextAppearance_Material_Notification_Emphasis");
        array.put(16974336, "TextAppearance_Material_Notification_Info");
        array.put(16974337, "TextAppearance_Material_Notification_Line2");
        array.put(16974338, "TextAppearance_Material_Notification_Time");
        array.put(16974339, "TextAppearance_Material_Notification_Title");
        array.put(16974340, "TextAppearance_Material_SearchResult_Subtitle");
        array.put(16974341, "TextAppearance_Material_SearchResult_Title");
        array.put(16974342, "TextAppearance_Material_Small");
        array.put(16974343, "TextAppearance_Material_Small_Inverse");
        array.put(16974344, "TextAppearance_Material_Subhead");
        array.put(16974345, "TextAppearance_Material_Title");
        array.put(16974347, "TextAppearance_Material_Widget");
        array.put(16974348, "TextAppearance_Material_Widget_ActionBar_Menu");
        array.put(16974349, "TextAppearance_Material_Widget_ActionBar_Subtitle");
        array.put(16974350, "TextAppearance_Material_Widget_ActionBar_Subtitle_Inverse");
        array.put(16974351, "TextAppearance_Material_Widget_ActionBar_Title");
        array.put(16974352, "TextAppearance_Material_Widget_ActionBar_Title_Inverse");
        array.put(16974353, "TextAppearance_Material_Widget_ActionMode_Subtitle");
        array.put(16974354, "TextAppearance_Material_Widget_ActionMode_Subtitle_Inverse");
        array.put(16974355, "TextAppearance_Material_Widget_ActionMode_Title");
        array.put(16974356, "TextAppearance_Material_Widget_ActionMode_Title_Inverse");
        array.put(16974357, "TextAppearance_Material_Widget_Button");
        array.put(16974559, "TextAppearance_Material_Widget_Button_Borderless_Colored");
        array.put(16974558, "TextAppearance_Material_Widget_Button_Colored");
        array.put(16974548, "TextAppearance_Material_Widget_Button_Inverse");
        array.put(16974358, "TextAppearance_Material_Widget_DropDownHint");
        array.put(16974359, "TextAppearance_Material_Widget_DropDownItem");
        array.put(16974360, "TextAppearance_Material_Widget_EditText");
        array.put(16974361, "TextAppearance_Material_Widget_IconMenu_Item");
        array.put(16974362, "TextAppearance_Material_Widget_PopupMenu");
        array.put(16974363, "TextAppearance_Material_Widget_PopupMenu_Large");
        array.put(16974364, "TextAppearance_Material_Widget_PopupMenu_Small");
        array.put(16974365, "TextAppearance_Material_Widget_TabWidget");
        array.put(16974366, "TextAppearance_Material_Widget_TextView");
        array.put(16974367, "TextAppearance_Material_Widget_TextView_PopupMenu");
        array.put(16974368, "TextAppearance_Material_Widget_TextView_SpinnerItem");
        array.put(16974369, "TextAppearance_Material_Widget_Toolbar_Subtitle");
        array.put(16974370, "TextAppearance_Material_Widget_Toolbar_Title");
        array.put(16974346, "TextAppearance_Material_WindowTitle");
        array.put(16973892, "TextAppearance_Medium");
        array.put(16973893, "TextAppearance_Medium_Inverse");
        array.put(16973894, "TextAppearance_Small");
        array.put(16973895, "TextAppearance_Small_Inverse");
        array.put(16973927, "TextAppearance_StatusBar_EventContent");
        array.put(16973928, "TextAppearance_StatusBar_EventContent_Title");
        array.put(16973926, "TextAppearance_StatusBar_Icon");
        array.put(16973925, "TextAppearance_StatusBar_Title");
        array.put(16974104, "TextAppearance_SuggestionHighlight");
        array.put(16973888, "TextAppearance_Theme");
        array.put(16973896, "TextAppearance_Theme_Dialog");
        array.put(16973897, "TextAppearance_Widget");
        array.put(16973898, "TextAppearance_Widget_Button");
        array.put(16973904, "TextAppearance_Widget_DropDownHint");
        array.put(16973905, "TextAppearance_Widget_DropDownItem");
        array.put(16973900, "TextAppearance_Widget_EditText");
        array.put(16973899, "TextAppearance_Widget_IconMenu_Item");
        array.put(16973952, "TextAppearance_Widget_PopupMenu_Large");
        array.put(16973953, "TextAppearance_Widget_PopupMenu_Small");
        array.put(16973901, "TextAppearance_Widget_TabWidget");
        array.put(16973902, "TextAppearance_Widget_TextView");
        array.put(16973903, "TextAppearance_Widget_TextView_PopupMenu");
        array.put(16973906, "TextAppearance_Widget_TextView_SpinnerItem");
        array.put(16973907, "TextAppearance_WindowTitle");
        array.put(16973829, "Theme");
        array.put(16974407, "ThemeOverlay");
        array.put(16974564, "ThemeOverlay_DeviceDefault_Accent_DayNight");
        array.put(16974408, "ThemeOverlay_Material");
        array.put(16974409, "ThemeOverlay_Material_ActionBar");
        array.put(16974411, "ThemeOverlay_Material_Dark");
        array.put(16974412, "ThemeOverlay_Material_Dark_ActionBar");
        array.put(16974550, "ThemeOverlay_Material_Dialog");
        array.put(16974551, "ThemeOverlay_Material_Dialog_Alert");
        array.put(16974410, "ThemeOverlay_Material_Light");
        array.put(16973832, "Theme_Black");
        array.put(16973833, "Theme_Black_NoTitleBar");
        array.put(16973834, "Theme_Black_NoTitleBar_Fullscreen");
        array.put(16974120, "Theme_DeviceDefault");
        array.put(16974563, "Theme_DeviceDefault_DayNight");
        array.put(16974126, "Theme_DeviceDefault_Dialog");
        array.put(16974134, "Theme_DeviceDefault_DialogWhenLarge");
        array.put(16974135, "Theme_DeviceDefault_DialogWhenLarge_NoActionBar");
        array.put(16974545, "Theme_DeviceDefault_Dialog_Alert");
        array.put(16974127, "Theme_DeviceDefault_Dialog_MinWidth");
        array.put(16974128, "Theme_DeviceDefault_Dialog_NoActionBar");
        array.put(16974129, "Theme_DeviceDefault_Dialog_NoActionBar_MinWidth");
        array.put(16974142, "Theme_DeviceDefault_InputMethod");
        array.put(16974123, "Theme_DeviceDefault_Light");
        array.put(16974143, "Theme_DeviceDefault_Light_DarkActionBar");
        array.put(16974130, "Theme_DeviceDefault_Light_Dialog");
        array.put(16974136, "Theme_DeviceDefault_Light_DialogWhenLarge");
        array.put(16974137, "Theme_DeviceDefault_Light_DialogWhenLarge_NoActionBar");
        array.put(16974546, "Theme_DeviceDefault_Light_Dialog_Alert");
        array.put(16974131, "Theme_DeviceDefault_Light_Dialog_MinWidth");
        array.put(16974132, "Theme_DeviceDefault_Light_Dialog_NoActionBar");
        array.put(16974133, "Theme_DeviceDefault_Light_Dialog_NoActionBar_MinWidth");
        array.put(16974124, "Theme_DeviceDefault_Light_NoActionBar");
        array.put(16974125, "Theme_DeviceDefault_Light_NoActionBar_Fullscreen");
        array.put(16974304, "Theme_DeviceDefault_Light_NoActionBar_Overscan");
        array.put(16974308, "Theme_DeviceDefault_Light_NoActionBar_TranslucentDecor");
        array.put(16974139, "Theme_DeviceDefault_Light_Panel");
        array.put(16974121, "Theme_DeviceDefault_NoActionBar");
        array.put(16974122, "Theme_DeviceDefault_NoActionBar_Fullscreen");
        array.put(16974303, "Theme_DeviceDefault_NoActionBar_Overscan");
        array.put(16974307, "Theme_DeviceDefault_NoActionBar_TranslucentDecor");
        array.put(16974138, "Theme_DeviceDefault_Panel");
        array.put(16974371, "Theme_DeviceDefault_Settings");
        array.put(16974140, "Theme_DeviceDefault_Wallpaper");
        array.put(16974141, "Theme_DeviceDefault_Wallpaper_NoTitleBar");
        array.put(16973835, "Theme_Dialog");
        array.put(16973931, "Theme_Holo");
        array.put(16973935, "Theme_Holo_Dialog");
        array.put(16973943, "Theme_Holo_DialogWhenLarge");
        array.put(16973944, "Theme_Holo_DialogWhenLarge_NoActionBar");
        array.put(16973936, "Theme_Holo_Dialog_MinWidth");
        array.put(16973937, "Theme_Holo_Dialog_NoActionBar");
        array.put(16973938, "Theme_Holo_Dialog_NoActionBar_MinWidth");
        array.put(16973951, "Theme_Holo_InputMethod");
        array.put(16973934, "Theme_Holo_Light");
        array.put(16974105, "Theme_Holo_Light_DarkActionBar");
        array.put(16973939, "Theme_Holo_Light_Dialog");
        array.put(16973945, "Theme_Holo_Light_DialogWhenLarge");
        array.put(16973946, "Theme_Holo_Light_DialogWhenLarge_NoActionBar");
        array.put(16973940, "Theme_Holo_Light_Dialog_MinWidth");
        array.put(16973941, "Theme_Holo_Light_Dialog_NoActionBar");
        array.put(16973942, "Theme_Holo_Light_Dialog_NoActionBar_MinWidth");
        array.put(16974064, "Theme_Holo_Light_NoActionBar");
        array.put(16974065, "Theme_Holo_Light_NoActionBar_Fullscreen");
        array.put(16974302, "Theme_Holo_Light_NoActionBar_Overscan");
        array.put(16974306, "Theme_Holo_Light_NoActionBar_TranslucentDecor");
        array.put(16973948, "Theme_Holo_Light_Panel");
        array.put(16973932, "Theme_Holo_NoActionBar");
        array.put(16973933, "Theme_Holo_NoActionBar_Fullscreen");
        array.put(16974301, "Theme_Holo_NoActionBar_Overscan");
        array.put(16974305, "Theme_Holo_NoActionBar_TranslucentDecor");
        array.put(16973947, "Theme_Holo_Panel");
        array.put(16973949, "Theme_Holo_Wallpaper");
        array.put(16973950, "Theme_Holo_Wallpaper_NoTitleBar");
        array.put(16973908, "Theme_InputMethod");
        array.put(16973836, "Theme_Light");
        array.put(16973837, "Theme_Light_NoTitleBar");
        array.put(16973838, "Theme_Light_NoTitleBar_Fullscreen");
        array.put(16973914, "Theme_Light_Panel");
        array.put(16973922, "Theme_Light_WallpaperSettings");
        array.put(16974372, "Theme_Material");
        array.put(16974373, "Theme_Material_Dialog");
        array.put(16974379, "Theme_Material_DialogWhenLarge");
        array.put(16974380, "Theme_Material_DialogWhenLarge_NoActionBar");
        array.put(16974374, "Theme_Material_Dialog_Alert");
        array.put(16974375, "Theme_Material_Dialog_MinWidth");
        array.put(16974376, "Theme_Material_Dialog_NoActionBar");
        array.put(16974377, "Theme_Material_Dialog_NoActionBar_MinWidth");
        array.put(16974378, "Theme_Material_Dialog_Presentation");
        array.put(16974381, "Theme_Material_InputMethod");
        array.put(16974391, "Theme_Material_Light");
        array.put(16974392, "Theme_Material_Light_DarkActionBar");
        array.put(16974393, "Theme_Material_Light_Dialog");
        array.put(16974399, "Theme_Material_Light_DialogWhenLarge");
        array.put(16974552, "Theme_Material_Light_DialogWhenLarge_DarkActionBar");
        array.put(16974400, "Theme_Material_Light_DialogWhenLarge_NoActionBar");
        array.put(16974394, "Theme_Material_Light_Dialog_Alert");
        array.put(16974395, "Theme_Material_Light_Dialog_MinWidth");
        array.put(16974396, "Theme_Material_Light_Dialog_NoActionBar");
        array.put(16974397, "Theme_Material_Light_Dialog_NoActionBar_MinWidth");
        array.put(16974398, "Theme_Material_Light_Dialog_Presentation");
        array.put(16974549, "Theme_Material_Light_LightStatusBar");
        array.put(16974401, "Theme_Material_Light_NoActionBar");
        array.put(16974402, "Theme_Material_Light_NoActionBar_Fullscreen");
        array.put(16974403, "Theme_Material_Light_NoActionBar_Overscan");
        array.put(16974404, "Theme_Material_Light_NoActionBar_TranslucentDecor");
        array.put(16974405, "Theme_Material_Light_Panel");
        array.put(16974406, "Theme_Material_Light_Voice");
        array.put(16974382, "Theme_Material_NoActionBar");
        array.put(16974383, "Theme_Material_NoActionBar_Fullscreen");
        array.put(16974384, "Theme_Material_NoActionBar_Overscan");
        array.put(16974385, "Theme_Material_NoActionBar_TranslucentDecor");
        array.put(16974386, "Theme_Material_Panel");
        array.put(16974387, "Theme_Material_Settings");
        array.put(16974388, "Theme_Material_Voice");
        array.put(16974389, "Theme_Material_Wallpaper");
        array.put(16974390, "Theme_Material_Wallpaper_NoTitleBar");
        array.put(16973909, "Theme_NoDisplay");
        array.put(16973830, "Theme_NoTitleBar");
        array.put(16973831, "Theme_NoTitleBar_Fullscreen");
        array.put(16973930, "Theme_NoTitleBar_OverlayActionModes");
        array.put(16973913, "Theme_Panel");
        array.put(16973839, "Theme_Translucent");
        array.put(16973840, "Theme_Translucent_NoTitleBar");
        array.put(16973841, "Theme_Translucent_NoTitleBar_Fullscreen");
        array.put(16973918, "Theme_Wallpaper");
        array.put(16973921, "Theme_WallpaperSettings");
        array.put(16973919, "Theme_Wallpaper_NoTitleBar");
        array.put(16973920, "Theme_Wallpaper_NoTitleBar_Fullscreen");
        array.put(16973929, "Theme_WithActionBar");
        array.put(16973842, "Widget");
        array.put(16973843, "Widget_AbsListView");
        array.put(16973954, "Widget_ActionBar");
        array.put(16974068, "Widget_ActionBar_TabBar");
        array.put(16974067, "Widget_ActionBar_TabText");
        array.put(16974066, "Widget_ActionBar_TabView");
        array.put(16973956, "Widget_ActionButton");
        array.put(16973960, "Widget_ActionButton_CloseMode");
        array.put(16973959, "Widget_ActionButton_Overflow");
        array.put(16973863, "Widget_AutoCompleteTextView");
        array.put(16973844, "Widget_Button");
        array.put(16973845, "Widget_Button_Inset");
        array.put(16973846, "Widget_Button_Small");
        array.put(16973847, "Widget_Button_Toggle");
        array.put(16974059, "Widget_CalendarView");
        array.put(16973848, "Widget_CompoundButton");
        array.put(16973849, "Widget_CompoundButton_CheckBox");
        array.put(16973850, "Widget_CompoundButton_RadioButton");
        array.put(16973851, "Widget_CompoundButton_Star");
        array.put(16974062, "Widget_DatePicker");
        array.put(16974144, "Widget_DeviceDefault");
        array.put(16974187, "Widget_DeviceDefault_ActionBar");
        array.put(16974195, "Widget_DeviceDefault_ActionBar_Solid");
        array.put(16974194, "Widget_DeviceDefault_ActionBar_TabBar");
        array.put(16974193, "Widget_DeviceDefault_ActionBar_TabText");
        array.put(16974192, "Widget_DeviceDefault_ActionBar_TabView");
        array.put(16974182, "Widget_DeviceDefault_ActionButton");
        array.put(16974186, "Widget_DeviceDefault_ActionButton_CloseMode");
        array.put(16974183, "Widget_DeviceDefault_ActionButton_Overflow");
        array.put(16974184, "Widget_DeviceDefault_ActionButton_TextButton");
        array.put(16974185, "Widget_DeviceDefault_ActionMode");
        array.put(16974151, "Widget_DeviceDefault_AutoCompleteTextView");
        array.put(16974145, "Widget_DeviceDefault_Button");
        array.put(16974188, "Widget_DeviceDefault_Button_Borderless");
        array.put(16974561, "Widget_DeviceDefault_Button_Borderless_Colored");
        array.put(16974149, "Widget_DeviceDefault_Button_Borderless_Small");
        array.put(16974560, "Widget_DeviceDefault_Button_Colored");
        array.put(16974147, "Widget_DeviceDefault_Button_Inset");
        array.put(16974146, "Widget_DeviceDefault_Button_Small");
        array.put(16974148, "Widget_DeviceDefault_Button_Toggle");
        array.put(16974190, "Widget_DeviceDefault_CalendarView");
        array.put(16974299, "Widget_DeviceDefault_CheckedTextView");
        array.put(16974152, "Widget_DeviceDefault_CompoundButton_CheckBox");
        array.put(16974169, "Widget_DeviceDefault_CompoundButton_RadioButton");
        array.put(16974173, "Widget_DeviceDefault_CompoundButton_Star");
        array.put(16974191, "Widget_DeviceDefault_DatePicker");
        array.put(16974177, "Widget_DeviceDefault_DropDownItem");
        array.put(16974178, "Widget_DeviceDefault_DropDownItem_Spinner");
        array.put(16974154, "Widget_DeviceDefault_EditText");
        array.put(16974155, "Widget_DeviceDefault_ExpandableListView");
        array.put(16974313, "Widget_DeviceDefault_FastScroll");
        array.put(16974156, "Widget_DeviceDefault_GridView");
        array.put(16974171, "Widget_DeviceDefault_HorizontalScrollView");
        array.put(16974157, "Widget_DeviceDefault_ImageButton");
        array.put(16974196, "Widget_DeviceDefault_Light");
        array.put(16974243, "Widget_DeviceDefault_Light_ActionBar");
        array.put(16974247, "Widget_DeviceDefault_Light_ActionBar_Solid");
        array.put(16974248, "Widget_DeviceDefault_Light_ActionBar_Solid_Inverse");
        array.put(16974246, "Widget_DeviceDefault_Light_ActionBar_TabBar");
        array.put(16974249, "Widget_DeviceDefault_Light_ActionBar_TabBar_Inverse");
        array.put(16974245, "Widget_DeviceDefault_Light_ActionBar_TabText");
        array.put(16974251, "Widget_DeviceDefault_Light_ActionBar_TabText_Inverse");
        array.put(16974244, "Widget_DeviceDefault_Light_ActionBar_TabView");
        array.put(16974250, "Widget_DeviceDefault_Light_ActionBar_TabView_Inverse");
        array.put(16974239, "Widget_DeviceDefault_Light_ActionButton");
        array.put(16974242, "Widget_DeviceDefault_Light_ActionButton_CloseMode");
        array.put(16974240, "Widget_DeviceDefault_Light_ActionButton_Overflow");
        array.put(16974241, "Widget_DeviceDefault_Light_ActionMode");
        array.put(16974252, "Widget_DeviceDefault_Light_ActionMode_Inverse");
        array.put(16974203, "Widget_DeviceDefault_Light_AutoCompleteTextView");
        array.put(16974197, "Widget_DeviceDefault_Light_Button");
        array.put(16974201, "Widget_DeviceDefault_Light_Button_Borderless_Small");
        array.put(16974199, "Widget_DeviceDefault_Light_Button_Inset");
        array.put(16974198, "Widget_DeviceDefault_Light_Button_Small");
        array.put(16974200, "Widget_DeviceDefault_Light_Button_Toggle");
        array.put(16974238, "Widget_DeviceDefault_Light_CalendarView");
        array.put(16974300, "Widget_DeviceDefault_Light_CheckedTextView");
        array.put(16974204, "Widget_DeviceDefault_Light_CompoundButton_CheckBox");
        array.put(16974224, "Widget_DeviceDefault_Light_CompoundButton_RadioButton");
        array.put(16974228, "Widget_DeviceDefault_Light_CompoundButton_Star");
        array.put(16974232, "Widget_DeviceDefault_Light_DropDownItem");
        array.put(16974233, "Widget_DeviceDefault_Light_DropDownItem_Spinner");
        array.put(16974206, "Widget_DeviceDefault_Light_EditText");
        array.put(16974207, "Widget_DeviceDefault_Light_ExpandableListView");
        array.put(16974315, "Widget_DeviceDefault_Light_FastScroll");
        array.put(16974208, "Widget_DeviceDefault_Light_GridView");
        array.put(16974226, "Widget_DeviceDefault_Light_HorizontalScrollView");
        array.put(16974209, "Widget_DeviceDefault_Light_ImageButton");
        array.put(16974235, "Widget_DeviceDefault_Light_ListPopupWindow");
        array.put(16974210, "Widget_DeviceDefault_Light_ListView");
        array.put(16974205, "Widget_DeviceDefault_Light_ListView_DropDown");
        array.put(16974296, "Widget_DeviceDefault_Light_MediaRouteButton");
        array.put(16974236, "Widget_DeviceDefault_Light_PopupMenu");
        array.put(16974211, "Widget_DeviceDefault_Light_PopupWindow");
        array.put(16974212, "Widget_DeviceDefault_Light_ProgressBar");
        array.put(16974213, "Widget_DeviceDefault_Light_ProgressBar_Horizontal");
        array.put(16974217, "Widget_DeviceDefault_Light_ProgressBar_Inverse");
        array.put(16974216, "Widget_DeviceDefault_Light_ProgressBar_Large");
        array.put(16974219, "Widget_DeviceDefault_Light_ProgressBar_Large_Inverse");
        array.put(16974214, "Widget_DeviceDefault_Light_ProgressBar_Small");
        array.put(16974218, "Widget_DeviceDefault_Light_ProgressBar_Small_Inverse");
        array.put(16974215, "Widget_DeviceDefault_Light_ProgressBar_Small_Title");
        array.put(16974221, "Widget_DeviceDefault_Light_RatingBar");
        array.put(16974222, "Widget_DeviceDefault_Light_RatingBar_Indicator");
        array.put(16974223, "Widget_DeviceDefault_Light_RatingBar_Small");
        array.put(16974225, "Widget_DeviceDefault_Light_ScrollView");
        array.put(16974220, "Widget_DeviceDefault_Light_SeekBar");
        array.put(16974227, "Widget_DeviceDefault_Light_Spinner");
        array.put(16974316, "Widget_DeviceDefault_Light_StackView");
        array.put(16974237, "Widget_DeviceDefault_Light_Tab");
        array.put(16974229, "Widget_DeviceDefault_Light_TabWidget");
        array.put(16974202, "Widget_DeviceDefault_Light_TextView");
        array.put(16974234, "Widget_DeviceDefault_Light_TextView_SpinnerItem");
        array.put(16974230, "Widget_DeviceDefault_Light_WebTextView");
        array.put(16974231, "Widget_DeviceDefault_Light_WebView");
        array.put(16974180, "Widget_DeviceDefault_ListPopupWindow");
        array.put(16974158, "Widget_DeviceDefault_ListView");
        array.put(16974153, "Widget_DeviceDefault_ListView_DropDown");
        array.put(16974295, "Widget_DeviceDefault_MediaRouteButton");
        array.put(16974181, "Widget_DeviceDefault_PopupMenu");
        array.put(16974159, "Widget_DeviceDefault_PopupWindow");
        array.put(16974160, "Widget_DeviceDefault_ProgressBar");
        array.put(16974161, "Widget_DeviceDefault_ProgressBar_Horizontal");
        array.put(16974164, "Widget_DeviceDefault_ProgressBar_Large");
        array.put(16974162, "Widget_DeviceDefault_ProgressBar_Small");
        array.put(16974163, "Widget_DeviceDefault_ProgressBar_Small_Title");
        array.put(16974166, "Widget_DeviceDefault_RatingBar");
        array.put(16974167, "Widget_DeviceDefault_RatingBar_Indicator");
        array.put(16974168, "Widget_DeviceDefault_RatingBar_Small");
        array.put(16974170, "Widget_DeviceDefault_ScrollView");
        array.put(16974165, "Widget_DeviceDefault_SeekBar");
        array.put(16974172, "Widget_DeviceDefault_Spinner");
        array.put(16974314, "Widget_DeviceDefault_StackView");
        array.put(16974189, "Widget_DeviceDefault_Tab");
        array.put(16974174, "Widget_DeviceDefault_TabWidget");
        array.put(16974150, "Widget_DeviceDefault_TextView");
        array.put(16974179, "Widget_DeviceDefault_TextView_SpinnerItem");
        array.put(16974175, "Widget_DeviceDefault_WebTextView");
        array.put(16974176, "Widget_DeviceDefault_WebView");
        array.put(16973867, "Widget_DropDownItem");
        array.put(16973868, "Widget_DropDownItem_Spinner");
        array.put(16973859, "Widget_EditText");
        array.put(16973860, "Widget_ExpandableListView");
        array.put(16974309, "Widget_FastScroll");
        array.put(16973961, "Widget_FragmentBreadCrumbs");
        array.put(16973877, "Widget_Gallery");
        array.put(16973874, "Widget_GridView");
        array.put(16973962, "Widget_Holo");
        array.put(16974004, "Widget_Holo_ActionBar");
        array.put(16974113, "Widget_Holo_ActionBar_Solid");
        array.put(16974071, "Widget_Holo_ActionBar_TabBar");
        array.put(16974070, "Widget_Holo_ActionBar_TabText");
        array.put(16974069, "Widget_Holo_ActionBar_TabView");
        array.put(16973999, "Widget_Holo_ActionButton");
        array.put(16974003, "Widget_Holo_ActionButton_CloseMode");
        array.put(16974000, "Widget_Holo_ActionButton_Overflow");
        array.put(16974001, "Widget_Holo_ActionButton_TextButton");
        array.put(16974002, "Widget_Holo_ActionMode");
        array.put(16973968, "Widget_Holo_AutoCompleteTextView");
        array.put(16973963, "Widget_Holo_Button");
        array.put(16974050, "Widget_Holo_Button_Borderless");
        array.put(16974106, "Widget_Holo_Button_Borderless_Small");
        array.put(16973965, "Widget_Holo_Button_Inset");
        array.put(16973964, "Widget_Holo_Button_Small");
        array.put(16973966, "Widget_Holo_Button_Toggle");
        array.put(16974060, "Widget_Holo_CalendarView");
        array.put(16974297, "Widget_Holo_CheckedTextView");
        array.put(16973969, "Widget_Holo_CompoundButton_CheckBox");
        array.put(16973986, "Widget_Holo_CompoundButton_RadioButton");
        array.put(16973990, "Widget_Holo_CompoundButton_Star");
        array.put(16974063, "Widget_Holo_DatePicker");
        array.put(16973994, "Widget_Holo_DropDownItem");
        array.put(16973995, "Widget_Holo_DropDownItem_Spinner");
        array.put(16973971, "Widget_Holo_EditText");
        array.put(16973972, "Widget_Holo_ExpandableListView");
        array.put(16973973, "Widget_Holo_GridView");
        array.put(16973988, "Widget_Holo_HorizontalScrollView");
        array.put(16973974, "Widget_Holo_ImageButton");
        array.put(16974005, "Widget_Holo_Light");
        array.put(16974049, "Widget_Holo_Light_ActionBar");
        array.put(16974114, "Widget_Holo_Light_ActionBar_Solid");
        array.put(16974115, "Widget_Holo_Light_ActionBar_Solid_Inverse");
        array.put(16974074, "Widget_Holo_Light_ActionBar_TabBar");
        array.put(16974116, "Widget_Holo_Light_ActionBar_TabBar_Inverse");
        array.put(16974073, "Widget_Holo_Light_ActionBar_TabText");
        array.put(16974118, "Widget_Holo_Light_ActionBar_TabText_Inverse");
        array.put(16974072, "Widget_Holo_Light_ActionBar_TabView");
        array.put(16974117, "Widget_Holo_Light_ActionBar_TabView_Inverse");
        array.put(16974045, "Widget_Holo_Light_ActionButton");
        array.put(16974048, "Widget_Holo_Light_ActionButton_CloseMode");
        array.put(16974046, "Widget_Holo_Light_ActionButton_Overflow");
        array.put(16974047, "Widget_Holo_Light_ActionMode");
        array.put(16974119, "Widget_Holo_Light_ActionMode_Inverse");
        array.put(16974011, "Widget_Holo_Light_AutoCompleteTextView");
        array.put(16974006, "Widget_Holo_Light_Button");
        array.put(16974107, "Widget_Holo_Light_Button_Borderless_Small");
        array.put(16974008, "Widget_Holo_Light_Button_Inset");
        array.put(16974007, "Widget_Holo_Light_Button_Small");
        array.put(16974009, "Widget_Holo_Light_Button_Toggle");
        array.put(16974061, "Widget_Holo_Light_CalendarView");
        array.put(16974298, "Widget_Holo_Light_CheckedTextView");
        array.put(16974012, "Widget_Holo_Light_CompoundButton_CheckBox");
        array.put(16974032, "Widget_Holo_Light_CompoundButton_RadioButton");
        array.put(16974036, "Widget_Holo_Light_CompoundButton_Star");
        array.put(16974040, "Widget_Holo_Light_DropDownItem");
        array.put(16974041, "Widget_Holo_Light_DropDownItem_Spinner");
        array.put(16974014, "Widget_Holo_Light_EditText");
        array.put(16974015, "Widget_Holo_Light_ExpandableListView");
        array.put(16974016, "Widget_Holo_Light_GridView");
        array.put(16974034, "Widget_Holo_Light_HorizontalScrollView");
        array.put(16974017, "Widget_Holo_Light_ImageButton");
        array.put(16974043, "Widget_Holo_Light_ListPopupWindow");
        array.put(16974018, "Widget_Holo_Light_ListView");
        array.put(16974013, "Widget_Holo_Light_ListView_DropDown");
        array.put(16974294, "Widget_Holo_Light_MediaRouteButton");
        array.put(16974044, "Widget_Holo_Light_PopupMenu");
        array.put(16974019, "Widget_Holo_Light_PopupWindow");
        array.put(16974020, "Widget_Holo_Light_ProgressBar");
        array.put(16974021, "Widget_Holo_Light_ProgressBar_Horizontal");
        array.put(16974025, "Widget_Holo_Light_ProgressBar_Inverse");
        array.put(16974024, "Widget_Holo_Light_ProgressBar_Large");
        array.put(16974027, "Widget_Holo_Light_ProgressBar_Large_Inverse");
        array.put(16974022, "Widget_Holo_Light_ProgressBar_Small");
        array.put(16974026, "Widget_Holo_Light_ProgressBar_Small_Inverse");
        array.put(16974023, "Widget_Holo_Light_ProgressBar_Small_Title");
        array.put(16974029, "Widget_Holo_Light_RatingBar");
        array.put(16974030, "Widget_Holo_Light_RatingBar_Indicator");
        array.put(16974031, "Widget_Holo_Light_RatingBar_Small");
        array.put(16974033, "Widget_Holo_Light_ScrollView");
        array.put(16974028, "Widget_Holo_Light_SeekBar");
        array.put(16974035, "Widget_Holo_Light_Spinner");
        array.put(16974052, "Widget_Holo_Light_Tab");
        array.put(16974037, "Widget_Holo_Light_TabWidget");
        array.put(16974010, "Widget_Holo_Light_TextView");
        array.put(16974042, "Widget_Holo_Light_TextView_SpinnerItem");
        array.put(16974038, "Widget_Holo_Light_WebTextView");
        array.put(16974039, "Widget_Holo_Light_WebView");
        array.put(16973997, "Widget_Holo_ListPopupWindow");
        array.put(16973975, "Widget_Holo_ListView");
        array.put(16973970, "Widget_Holo_ListView_DropDown");
        array.put(16974293, "Widget_Holo_MediaRouteButton");
        array.put(16973998, "Widget_Holo_PopupMenu");
        array.put(16973976, "Widget_Holo_PopupWindow");
        array.put(16973977, "Widget_Holo_ProgressBar");
        array.put(16973978, "Widget_Holo_ProgressBar_Horizontal");
        array.put(16973981, "Widget_Holo_ProgressBar_Large");
        array.put(16973979, "Widget_Holo_ProgressBar_Small");
        array.put(16973980, "Widget_Holo_ProgressBar_Small_Title");
        array.put(16973983, "Widget_Holo_RatingBar");
        array.put(16973984, "Widget_Holo_RatingBar_Indicator");
        array.put(16973985, "Widget_Holo_RatingBar_Small");
        array.put(16973987, "Widget_Holo_ScrollView");
        array.put(16973982, "Widget_Holo_SeekBar");
        array.put(16973989, "Widget_Holo_Spinner");
        array.put(16974051, "Widget_Holo_Tab");
        array.put(16973991, "Widget_Holo_TabWidget");
        array.put(16973967, "Widget_Holo_TextView");
        array.put(16973996, "Widget_Holo_TextView_SpinnerItem");
        array.put(16973992, "Widget_Holo_WebTextView");
        array.put(16973993, "Widget_Holo_WebView");
        array.put(16973862, "Widget_ImageButton");
        array.put(16973861, "Widget_ImageWell");
        array.put(16973911, "Widget_KeyboardView");
        array.put(16973957, "Widget_ListPopupWindow");
        array.put(16973870, "Widget_ListView");
        array.put(16973872, "Widget_ListView_DropDown");
        array.put(16973873, "Widget_ListView_Menu");
        array.put(16973871, "Widget_ListView_White");
        array.put(16974413, "Widget_Material");
        array.put(16974414, "Widget_Material_ActionBar");
        array.put(16974415, "Widget_Material_ActionBar_Solid");
        array.put(16974416, "Widget_Material_ActionBar_TabBar");
        array.put(16974417, "Widget_Material_ActionBar_TabText");
        array.put(16974418, "Widget_Material_ActionBar_TabView");
        array.put(16974419, "Widget_Material_ActionButton");
        array.put(16974420, "Widget_Material_ActionButton_CloseMode");
        array.put(16974421, "Widget_Material_ActionButton_Overflow");
        array.put(16974422, "Widget_Material_ActionMode");
        array.put(16974423, "Widget_Material_AutoCompleteTextView");
        array.put(16974424, "Widget_Material_Button");
        array.put(16974431, "Widget_Material_ButtonBar");
        array.put(16974432, "Widget_Material_ButtonBar_AlertDialog");
        array.put(16974425, "Widget_Material_Button_Borderless");
        array.put(16974426, "Widget_Material_Button_Borderless_Colored");
        array.put(16974427, "Widget_Material_Button_Borderless_Small");
        array.put(16974547, "Widget_Material_Button_Colored");
        array.put(16974428, "Widget_Material_Button_Inset");
        array.put(16974429, "Widget_Material_Button_Small");
        array.put(16974430, "Widget_Material_Button_Toggle");
        array.put(16974433, "Widget_Material_CalendarView");
        array.put(16974434, "Widget_Material_CheckedTextView");
        array.put(16974435, "Widget_Material_CompoundButton_CheckBox");
        array.put(16974436, "Widget_Material_CompoundButton_RadioButton");
        array.put(16974437, "Widget_Material_CompoundButton_Star");
        array.put(16974554, "Widget_Material_CompoundButton_Switch");
        array.put(16974438, "Widget_Material_DatePicker");
        array.put(16974439, "Widget_Material_DropDownItem");
        array.put(16974440, "Widget_Material_DropDownItem_Spinner");
        array.put(16974441, "Widget_Material_EditText");
        array.put(16974442, "Widget_Material_ExpandableListView");
        array.put(16974443, "Widget_Material_FastScroll");
        array.put(16974444, "Widget_Material_GridView");
        array.put(16974445, "Widget_Material_HorizontalScrollView");
        array.put(16974446, "Widget_Material_ImageButton");
        array.put(16974478, "Widget_Material_Light");
        array.put(16974479, "Widget_Material_Light_ActionBar");
        array.put(16974480, "Widget_Material_Light_ActionBar_Solid");
        array.put(16974481, "Widget_Material_Light_ActionBar_TabBar");
        array.put(16974482, "Widget_Material_Light_ActionBar_TabText");
        array.put(16974483, "Widget_Material_Light_ActionBar_TabView");
        array.put(16974484, "Widget_Material_Light_ActionButton");
        array.put(16974485, "Widget_Material_Light_ActionButton_CloseMode");
        array.put(16974486, "Widget_Material_Light_ActionButton_Overflow");
        array.put(16974487, "Widget_Material_Light_ActionMode");
        array.put(16974488, "Widget_Material_Light_AutoCompleteTextView");
        array.put(16974489, "Widget_Material_Light_Button");
        array.put(16974496, "Widget_Material_Light_ButtonBar");
        array.put(16974497, "Widget_Material_Light_ButtonBar_AlertDialog");
        array.put(16974490, "Widget_Material_Light_Button_Borderless");
        array.put(16974491, "Widget_Material_Light_Button_Borderless_Colored");
        array.put(16974492, "Widget_Material_Light_Button_Borderless_Small");
        array.put(16974493, "Widget_Material_Light_Button_Inset");
        array.put(16974494, "Widget_Material_Light_Button_Small");
        array.put(16974495, "Widget_Material_Light_Button_Toggle");
        array.put(16974498, "Widget_Material_Light_CalendarView");
        array.put(16974499, "Widget_Material_Light_CheckedTextView");
        array.put(16974500, "Widget_Material_Light_CompoundButton_CheckBox");
        array.put(16974501, "Widget_Material_Light_CompoundButton_RadioButton");
        array.put(16974502, "Widget_Material_Light_CompoundButton_Star");
        array.put(16974555, "Widget_Material_Light_CompoundButton_Switch");
        array.put(16974503, "Widget_Material_Light_DatePicker");
        array.put(16974504, "Widget_Material_Light_DropDownItem");
        array.put(16974505, "Widget_Material_Light_DropDownItem_Spinner");
        array.put(16974506, "Widget_Material_Light_EditText");
        array.put(16974507, "Widget_Material_Light_ExpandableListView");
        array.put(16974508, "Widget_Material_Light_FastScroll");
        array.put(16974509, "Widget_Material_Light_GridView");
        array.put(16974510, "Widget_Material_Light_HorizontalScrollView");
        array.put(16974511, "Widget_Material_Light_ImageButton");
        array.put(16974512, "Widget_Material_Light_ListPopupWindow");
        array.put(16974513, "Widget_Material_Light_ListView");
        array.put(16974514, "Widget_Material_Light_ListView_DropDown");
        array.put(16974515, "Widget_Material_Light_MediaRouteButton");
        array.put(16974557, "Widget_Material_Light_NumberPicker");
        array.put(16974516, "Widget_Material_Light_PopupMenu");
        array.put(16974517, "Widget_Material_Light_PopupMenu_Overflow");
        array.put(16974518, "Widget_Material_Light_PopupWindow");
        array.put(16974519, "Widget_Material_Light_ProgressBar");
        array.put(16974520, "Widget_Material_Light_ProgressBar_Horizontal");
        array.put(16974521, "Widget_Material_Light_ProgressBar_Inverse");
        array.put(16974522, "Widget_Material_Light_ProgressBar_Large");
        array.put(16974523, "Widget_Material_Light_ProgressBar_Large_Inverse");
        array.put(16974524, "Widget_Material_Light_ProgressBar_Small");
        array.put(16974525, "Widget_Material_Light_ProgressBar_Small_Inverse");
        array.put(16974526, "Widget_Material_Light_ProgressBar_Small_Title");
        array.put(16974527, "Widget_Material_Light_RatingBar");
        array.put(16974528, "Widget_Material_Light_RatingBar_Indicator");
        array.put(16974529, "Widget_Material_Light_RatingBar_Small");
        array.put(16974530, "Widget_Material_Light_ScrollView");
        array.put(16974531, "Widget_Material_Light_SearchView");
        array.put(16974532, "Widget_Material_Light_SeekBar");
        array.put(16974533, "Widget_Material_Light_SegmentedButton");
        array.put(16974535, "Widget_Material_Light_Spinner");
        array.put(16974536, "Widget_Material_Light_Spinner_Underlined");
        array.put(16974534, "Widget_Material_Light_StackView");
        array.put(16974537, "Widget_Material_Light_Tab");
        array.put(16974538, "Widget_Material_Light_TabWidget");
        array.put(16974539, "Widget_Material_Light_TextView");
        array.put(16974540, "Widget_Material_Light_TextView_SpinnerItem");
        array.put(16974541, "Widget_Material_Light_TimePicker");
        array.put(16974542, "Widget_Material_Light_WebTextView");
        array.put(16974543, "Widget_Material_Light_WebView");
        array.put(16974447, "Widget_Material_ListPopupWindow");
        array.put(16974448, "Widget_Material_ListView");
        array.put(16974449, "Widget_Material_ListView_DropDown");
        array.put(16974450, "Widget_Material_MediaRouteButton");
        array.put(16974556, "Widget_Material_NumberPicker");
        array.put(16974451, "Widget_Material_PopupMenu");
        array.put(16974452, "Widget_Material_PopupMenu_Overflow");
        array.put(16974453, "Widget_Material_PopupWindow");
        array.put(16974454, "Widget_Material_ProgressBar");
        array.put(16974455, "Widget_Material_ProgressBar_Horizontal");
        array.put(16974456, "Widget_Material_ProgressBar_Large");
        array.put(16974457, "Widget_Material_ProgressBar_Small");
        array.put(16974458, "Widget_Material_ProgressBar_Small_Title");
        array.put(16974459, "Widget_Material_RatingBar");
        array.put(16974460, "Widget_Material_RatingBar_Indicator");
        array.put(16974461, "Widget_Material_RatingBar_Small");
        array.put(16974462, "Widget_Material_ScrollView");
        array.put(16974463, "Widget_Material_SearchView");
        array.put(16974464, "Widget_Material_SeekBar");
        array.put(16974553, "Widget_Material_SeekBar_Discrete");
        array.put(16974465, "Widget_Material_SegmentedButton");
        array.put(16974467, "Widget_Material_Spinner");
        array.put(16974468, "Widget_Material_Spinner_Underlined");
        array.put(16974466, "Widget_Material_StackView");
        array.put(16974469, "Widget_Material_Tab");
        array.put(16974470, "Widget_Material_TabWidget");
        array.put(16974471, "Widget_Material_TextView");
        array.put(16974472, "Widget_Material_TextView_SpinnerItem");
        array.put(16974473, "Widget_Material_TimePicker");
        array.put(16974474, "Widget_Material_Toolbar");
        array.put(16974475, "Widget_Material_Toolbar_Button_Navigation");
        array.put(16974476, "Widget_Material_WebTextView");
        array.put(16974477, "Widget_Material_WebView");
        array.put(16973958, "Widget_PopupMenu");
        array.put(16973878, "Widget_PopupWindow");
        array.put(16973852, "Widget_ProgressBar");
        array.put(16973855, "Widget_ProgressBar_Horizontal");
        array.put(16973915, "Widget_ProgressBar_Inverse");
        array.put(16973853, "Widget_ProgressBar_Large");
        array.put(16973916, "Widget_ProgressBar_Large_Inverse");
        array.put(16973854, "Widget_ProgressBar_Small");
        array.put(16973917, "Widget_ProgressBar_Small_Inverse");
        array.put(16973857, "Widget_RatingBar");
        array.put(16973869, "Widget_ScrollView");
        array.put(16973856, "Widget_SeekBar");
        array.put(16973864, "Widget_Spinner");
        array.put(16973955, "Widget_Spinner_DropDown");
        array.put(16974310, "Widget_StackView");
        array.put(16973876, "Widget_TabWidget");
        array.put(16973858, "Widget_TextView");
        array.put(16973865, "Widget_TextView_PopupMenu");
        array.put(16973866, "Widget_TextView_SpinnerItem");
        array.put(16974311, "Widget_Toolbar");
        array.put(16974312, "Widget_Toolbar_Button_Navigation");
        array.put(16973875, "Widget_WebView");
        return array;
    }
}
